module dxlib;

import std.string : toStringz;

align (1):

enum TRUE = 1;
enum FALSE = 0;
enum MAX_IMAGE_NUM = 32768;
enum MAX_2DSURFACE_NUM = 32768;
enum MAX_3DSURFACE_NUM = 65536;
enum MAX_IMAGE_DIVNUM = 64;
enum MAX_SURFACE_NUM = 65536;
enum MAX_SOUND_NUM = 4096;
enum MAX_MUSIC_NUM = 256;
enum MAX_MOVIE_NUM = 100;
enum MAX_MASK_NUM = 512;
enum MAX_FONT_NUM = 40;
enum MAX_INPUT_NUM = 20;
enum MAX_SOCKET_NUM = 4096;
enum MAX_JOYPAD_NUM = 8;
enum MAX_EVENTPROCESS_NUM = 5;
enum DEFAULT_SCREEN_SIZE_X = 640;
enum DEFAULT_SCREEN_SIZE_Y = 480;
enum DEFAULT_COLOR_BITDEPTH = 16;
enum FONT_CACHE_MAXNUM = 2024;
enum FONT_CACHE_MEMORYSIZE = 327680;
enum FONT_CACHE_MAX_YLENGTH = 16384;
enum MAX_USERIMAGEREAD_FUNCNUM = 10;
enum DX_HANDLEINDEX_MASK = 65535;
enum DX_HANDLECHECKBIT_MASK = 134152192;
enum DX_HANDLECHECKBIT_ADDRESS = 16;
enum DX_HANDLETYPE_MASK = 2013265920;
enum DX_HANDLEERROR_MASK = -2147483648;
enum DX_HANDLEERROR_OR_TYPE_MASK = -134217728;
enum DX_HANDLETYPE_GRAPH = 134217728;
enum DX_HANDLETYPE_SOUND = 268435456;
enum DX_HANDLETYPE_MOVIE = 402653184;
enum DX_HANDLETYPE_FONT = 536870912;
enum DX_HANDLETYPE_2DSURFACE = 671088640;
enum DX_HANDLETYPE_3DSURFACE = 805306368;
enum DX_HANDLETYPE_SURFACE = 939524096;
enum DX_HANDLETYPE_GMASK = 1073741824;
enum DX_HANDLETYPE_NETWORK = 1207959552;
enum DX_HANDLETYPE_KEYINPUT = 1342177280;
enum DX_HANDLETYPE_MUSIC = 1476395008;
enum DX_HANDLETYPE_PALETTEGRAPH = 1610612736;
enum DX_WINDOWSVERSION_31 = 0;
enum DX_WINDOWSVERSION_95 = 1;
enum DX_WINDOWSVERSION_98 = 2;
enum DX_WINDOWSVERSION_ME = 3;
enum DX_WINDOWSVERSION_NT31 = 260;
enum DX_WINDOWSVERSION_NT40 = 261;
enum DX_WINDOWSVERSION_2000 = 262;
enum DX_WINDOWSVERSION_XP = 263;
enum DX_WINDOWSVERSION_VISTA = 264;
enum DX_WINDOWSVERSION_NT_TYPE = 256;
enum DX_DIRECTXVERSION_NON = 0;
enum DX_DIRECTXVERSION_1 = 65536;
enum DX_DIRECTXVERSION_2 = 131072;
enum DX_DIRECTXVERSION_3 = 196608;
enum DX_DIRECTXVERSION_4 = 262144;
enum DX_DIRECTXVERSION_5 = 327680;
enum DX_DIRECTXVERSION_6 = 393216;
enum DX_DIRECTXVERSION_6_1 = 393472;
enum DX_DIRECTXVERSION_7 = 458752;
enum DX_DIRECTXVERSION_8 = 524288;
enum DX_DIRECTXVERSION_8_1 = 524544;
enum DX_CHARSET_DEFAULT = 0;
enum DX_CHARSET_SHFTJIS = 1;
enum DX_CHARSET_HANGEUL = 2;
enum DX_MIDIMODE_MCI = 0;
enum DX_MIDIMODE_DM = 1;
enum DX_DRAWMODE_NEAREST = 0;
enum DX_DRAWMODE_BILINEAR = 1;
enum DX_FONTTYPE_NORMAL = 0;
enum DX_FONTTYPE_EDGE = 1;
enum DX_FONTTYPE_ANTIALIASING = 2;
enum DX_FONTTYPE_ANTIALIASING_EDGE = 3;
enum DX_BLENDMODE_NOBLEND = 0;
enum DX_BLENDMODE_ALPHA = 1;
enum DX_BLENDMODE_ADD = 2;
enum DX_BLENDMODE_SUB = 3;
enum DX_BLENDMODE_MUL = 4;
enum DX_BLENDMODE_SUB2 = 5;
enum DX_BLENDMODE_XOR = 6;
enum DX_BLENDMODE_DESTCOLOR = 8;
enum DX_SCREEN_FRONT = -4;
enum DX_SCREEN_BACK = -2;
enum DX_SCREEN_WORK = -3;
enum DX_SCREEN_TEMPFRONT = -5;
enum DX_NONE_GRAPH = -5;
enum DX_SHAVEDMODE_NONE = 0;
enum DX_SHAVEDMODE_DITHER = 1;
enum DX_SHAVEDMODE_DIFFUS = 2;
enum DX_PLAYTYPE_LOOPBIT = 2;
enum DX_PLAYTYPE_BACKBIT = 1;
enum DX_PLAYTYPE_NORMAL = 0;
enum DX_PLAYTYPE_BACK = ( DX_PLAYTYPE_BACKBIT );
enum DX_PLAYTYPE_LOOP = ( DX_PLAYTYPE_LOOPBIT | DX_PLAYTYPE_BACKBIT );
enum DX_MOVIEPLAYTYPE_BCANCEL = 0;
enum DX_MOVIEPLAYTYPE_NORMAL = 1;
enum DX_SOUNDTYPE_NORMAL = 0;
enum DX_SOUNDTYPE_STREAMSTYLE = 1;
enum DX_SOUNDDATATYPE_MEMNOPRESS = 0;
enum DX_SOUNDDATATYPE_MEMNOPRESS_PLUS = 1;
enum DX_SOUNDDATATYPE_MEMPRESS = 2;
enum DX_SOUNDDATATYPE_FILE = 3;
enum DX_MASKTRANS_WHITE = 0;
enum DX_MASKTRANS_BLACK = 1;
enum DX_MASKTRANS_NONE = 2;
enum DX_ZWRITE_MASK = 0;
enum DX_ZWRITE_CLEAR = 1;
enum DX_CMP_NEVER = 1;
enum DX_CMP_LESS = 2;
enum DX_CMP_EQUAL = 3;
enum DX_CMP_LESSEQUAL = 4;
enum DX_CMP_GREATER = 5;
enum DX_CMP_NOTEQUAL = 6;
enum DX_CMP_GREATEREQUAL = 7;
enum DX_CMP_ALWAYS = 8;
enum DX_ZCMP_DEFAULT = ( DX_CMP_LESSEQUAL );
enum DX_ZCMP_REVERSE = ( DX_CMP_GREATEREQUAL );
enum DX_SHADEMODE_FLAT = 1;
enum DX_SHADEMODE_GOURAUD = 2;
enum DX_TEXADDRESS_WRAP = 1;
enum DX_TEXADDRESS_MIRROR = 2;
enum DX_TEXADDRESS_CLAMP = 3;
enum DX_TEXADDRESS_BORDER = 4;
enum DX_PRIMTYPE_POINTLIST = 1;
enum DX_PRIMTYPE_LINELIST = 2;
enum DX_PRIMTYPE_LINESTRIP = 3;
enum DX_PRIMTYPE_TRIANGLELIST = 4;
enum DX_PRIMTYPE_TRIANGLESTRIP = 5;
enum DX_PRIMTYPE_TRIANGLEFAN = 6;
enum DX_LIGHTTYPE_D3DLIGHT_POINT = 1;
enum DX_LIGHTTYPE_D3DLIGHT_SPOT = 2;
enum DX_LIGHTTYPE_D3DLIGHT_DIRECTIONAL = 3;
enum DX_LIGHTTYPE_D3DLIGHT_FORCEDWORD = 2147483647;
enum DX_GRAPHICSIMAGE_FORMAT_3D_RGB16 = 0;
enum DX_GRAPHICSIMAGE_FORMAT_3D_RGB32 = 1;
enum DX_GRAPHICSIMAGE_FORMAT_3D_ALPHA_RGB16 = 2;
enum DX_GRAPHICSIMAGE_FORMAT_3D_ALPHA_RGB32 = 3;
enum DX_GRAPHICSIMAGE_FORMAT_3D_ALPHATEST_RGB16 = 4;
enum DX_GRAPHICSIMAGE_FORMAT_3D_ALPHATEST_RGB32 = 5;
enum DX_GRAPHICSIMAGE_FORMAT_3D_DRAWVALID_RGB16 = 6;
enum DX_GRAPHICSIMAGE_FORMAT_3D_DRAWVALID_RGB32 = 7;
enum DX_GRAPHICSIMAGE_FORMAT_3D_DRAWVALID_ALPHA_RGB32 = 8;
enum DX_GRAPHICSIMAGE_FORMAT_3D_NUM = 9;
enum DX_GRAPHICSIMAGE_FORMAT_2D = 9;
enum DX_GRAPHICSIMAGE_FORMAT_R5G6B5 = 10;
enum DX_GRAPHICSIMAGE_FORMAT_X8A8R5G6B5 = 11;
enum DX_GRAPHICSIMAGE_FORMAT_X8R8G8B8 = 12;
enum DX_GRAPHICSIMAGE_FORMAT_A8R8G8B8 = 13;
enum DX_GRAPHICSIMAGE_FORMAT_NUM = 14;
enum TOOLBUTTON_STATE_ENABLE = 0;
enum TOOLBUTTON_STATE_PRESSED = 1;
enum TOOLBUTTON_STATE_DISABLE = 2;
enum TOOLBUTTON_STATE_PRESSED_DISABLE = 3;
enum TOOLBUTTON_STATE_NUM = 4;
enum TOOLBUTTON_TYPE_NORMAL = 0;
enum TOOLBUTTON_TYPE_CHECK = 1;
enum TOOLBUTTON_TYPE_GROUP = 2;
enum TOOLBUTTON_TYPE_SEP = 3;
enum TOOLBUTTON_TYPE_NUM = 4;
enum MENUITEM_IDTOP = -1414812757;
enum MENUITEM_ADD_CHILD = 0;
enum MENUITEM_ADD_INSERT = 1;
enum MENUITEM_MARK_NONE = 0;
enum MENUITEM_MARK_CHECK = 1;
enum MENUITEM_MARK_RADIO = 2;
enum DX_NUMMODE_10 = 0;
enum DX_NUMMODE_16 = 1;
enum DX_STRMODE_NOT0 = 2;
enum DX_STRMODE_USE0 = 3;
enum DX_INPUT_KEY_PAD1 = 4097;
enum DX_INPUT_PAD1 = 1;
enum DX_INPUT_PAD2 = 2;
enum DX_INPUT_PAD3 = 3;
enum DX_INPUT_PAD4 = 4;
enum DX_INPUT_PAD5 = 5;
enum DX_INPUT_PAD6 = 6;
enum DX_INPUT_PAD7 = 7;
enum DX_INPUT_PAD8 = 8;
enum DX_INPUT_KEY = 4096;
enum DX_MOVIESURFACE_NORMAL = 0;
enum DX_MOVIESURFACE_OVERLAY = 1;
enum DX_MOVIESURFACE_FULLCOLOR = 2;
enum PAD_INPUT_DOWN = 1;
enum PAD_INPUT_LEFT = 2;
enum PAD_INPUT_RIGHT = 4;
enum PAD_INPUT_UP = 8;
enum PAD_INPUT_A = 16;
enum PAD_INPUT_B = 32;
enum PAD_INPUT_C = 64;
enum PAD_INPUT_X = 128;
enum PAD_INPUT_Y = 256;
enum PAD_INPUT_Z = 512;
enum PAD_INPUT_L = 1024;
enum PAD_INPUT_R = 2048;
enum PAD_INPUT_START = 4096;
enum PAD_INPUT_M = 8192;
enum PAD_INPUT_D = 16384;
enum PAD_INPUT_F = 32768;
enum PAD_INPUT_G = 65536;
enum PAD_INPUT_H = 131072;
enum PAD_INPUT_I = 262144;
enum PAD_INPUT_J = 524288;
enum PAD_INPUT_K = 1048576;
enum PAD_INPUT_LL = 2097152;
enum PAD_INPUT_N = 4194304;
enum PAD_INPUT_O = 8388608;
enum PAD_INPUT_P = 16777216;
enum PAD_INPUT_RR = 33554432;
enum PAD_INPUT_S = 67108864;
enum PAD_INPUT_T = 134217728;
enum PAD_INPUT_U = 268435456;
enum PAD_INPUT_V = 536870912;
enum PAD_INPUT_W = 1073741824;
enum PAD_INPUT_XX = -2147483648;
enum MOUSE_INPUT_LEFT = 1;
enum MOUSE_INPUT_RIGHT = 2;
enum MOUSE_INPUT_MIDDLE = 4;
enum MOUSE_INPUT_1 = 1;
enum MOUSE_INPUT_2 = 2;
enum MOUSE_INPUT_3 = 4;
enum MOUSE_INPUT_4 = 8;
enum MOUSE_INPUT_5 = 16;
enum MOUSE_INPUT_6 = 32;
enum MOUSE_INPUT_7 = 64;
enum MOUSE_INPUT_8 = 128;
enum KEY_INPUT_BACK = 14;
enum KEY_INPUT_TAB = 15;
enum KEY_INPUT_RETURN = 28;
enum KEY_INPUT_LSHIFT = 42;
enum KEY_INPUT_RSHIFT = 54;
enum KEY_INPUT_LCONTROL = 29;
enum KEY_INPUT_RCONTROL = 157;
enum KEY_INPUT_ESCAPE = 1;
enum KEY_INPUT_SPACE = 57;
enum KEY_INPUT_PGUP = 201;
enum KEY_INPUT_PGDN = 209;
enum KEY_INPUT_END = 207;
enum KEY_INPUT_HOME = 199;
enum KEY_INPUT_LEFT = 203;
enum KEY_INPUT_UP = 200;
enum KEY_INPUT_RIGHT = 205;
enum KEY_INPUT_DOWN = 208;
enum KEY_INPUT_INSERT = 210;
enum KEY_INPUT_DELETE = 211;
enum KEY_INPUT_MINUS = 12;
enum KEY_INPUT_YEN = 125;
enum KEY_INPUT_PREVTRACK = 144;
enum KEY_INPUT_PERIOD = 52;
enum KEY_INPUT_SLASH = 53;
enum KEY_INPUT_LALT = 56;
enum KEY_INPUT_RALT = 184;
enum KEY_INPUT_SCROLL = 70;
enum KEY_INPUT_SEMICOLON = 39;
enum KEY_INPUT_COLON = 146;
enum KEY_INPUT_LBRACKET = 26;
enum KEY_INPUT_RBRACKET = 27;
enum KEY_INPUT_AT = 145;
enum KEY_INPUT_BACKSLASH = 43;
enum KEY_INPUT_COMMA = 51;
enum KEY_INPUT_CAPSLOCK = 58;
enum KEY_INPUT_SYSRQ = 183;
enum KEY_INPUT_PAUSE = 197;
enum KEY_INPUT_NUMPAD0 = 82;
enum KEY_INPUT_NUMPAD1 = 79;
enum KEY_INPUT_NUMPAD2 = 80;
enum KEY_INPUT_NUMPAD3 = 81;
enum KEY_INPUT_NUMPAD4 = 75;
enum KEY_INPUT_NUMPAD5 = 76;
enum KEY_INPUT_NUMPAD6 = 77;
enum KEY_INPUT_NUMPAD7 = 71;
enum KEY_INPUT_NUMPAD8 = 72;
enum KEY_INPUT_NUMPAD9 = 73;
enum KEY_INPUT_MULTIPLY = 55;
enum KEY_INPUT_ADD = 78;
enum KEY_INPUT_SUBTRACT = 74;
enum KEY_INPUT_DECIMAL = 83;
enum KEY_INPUT_DIVIDE = 181;
enum KEY_INPUT_NUMPADENTER = 156;
enum KEY_INPUT_F1 = 59;
enum KEY_INPUT_F2 = 60;
enum KEY_INPUT_F3 = 61;
enum KEY_INPUT_F4 = 62;
enum KEY_INPUT_F5 = 63;
enum KEY_INPUT_F6 = 64;
enum KEY_INPUT_F7 = 65;
enum KEY_INPUT_F8 = 66;
enum KEY_INPUT_F9 = 67;
enum KEY_INPUT_F10 = 68;
enum KEY_INPUT_F11 = 87;
enum KEY_INPUT_F12 = 88;
enum KEY_INPUT_A = 30;
enum KEY_INPUT_B = 48;
enum KEY_INPUT_C = 46;
enum KEY_INPUT_D = 32;
enum KEY_INPUT_E = 18;
enum KEY_INPUT_F = 33;
enum KEY_INPUT_G = 34;
enum KEY_INPUT_H = 35;
enum KEY_INPUT_I = 23;
enum KEY_INPUT_J = 36;
enum KEY_INPUT_K = 37;
enum KEY_INPUT_L = 38;
enum KEY_INPUT_M = 50;
enum KEY_INPUT_N = 49;
enum KEY_INPUT_O = 24;
enum KEY_INPUT_P = 25;
enum KEY_INPUT_Q = 16;
enum KEY_INPUT_R = 19;
enum KEY_INPUT_S = 31;
enum KEY_INPUT_T = 20;
enum KEY_INPUT_U = 22;
enum KEY_INPUT_V = 47;
enum KEY_INPUT_W = 17;
enum KEY_INPUT_X = 45;
enum KEY_INPUT_Y = 21;
enum KEY_INPUT_Z = 44;
enum KEY_INPUT_0 = 11;
enum KEY_INPUT_1 = 2;
enum KEY_INPUT_2 = 3;
enum KEY_INPUT_3 = 4;
enum KEY_INPUT_4 = 5;
enum KEY_INPUT_5 = 6;
enum KEY_INPUT_6 = 7;
enum KEY_INPUT_7 = 8;
enum KEY_INPUT_8 = 9;
enum KEY_INPUT_9 = 10;
enum CTRL_CODE_BS = 8;
enum CTRL_CODE_TAB = 9;
enum CTRL_CODE_CR = 13;
enum CTRL_CODE_DEL = 16;
enum CTRL_CODE_LEFT = 29;
enum CTRL_CODE_RIGHT = 28;
enum CTRL_CODE_UP = 30;
enum CTRL_CODE_DOWN = 31;
enum CTRL_CODE_ESC = 27;
enum CTRL_CODE_CMP = 32;
enum DX_CHANGESCREEN_OK = 0;
enum DX_CHANGESCREEN_RETURN = 1;
enum DX_CHANGESCREEN_DEFAULT = 2;
enum DX_CHANGESCREEN_REFRESHNORMAL = 3;
enum LOADIMAGE_TYPE_FILE = 0;
enum LOADIMAGE_TYPE_MEM = 1;
enum LOADIMAGE_TYPE_NONE = 1;
enum HTTP_ERR_SERVER = 0;
enum HTTP_ERR_NOTFOUND = 1;
enum HTTP_ERR_MEMORY = 2;
enum HTTP_ERR_LOST = 3;
enum HTTP_ERR_NONE = 1;
enum HTTP_RES_COMPLETE = 0;
enum HTTP_RES_STOP = 1;
enum HTTP_RES_ERROR = 2;
enum HTTP_RES_NOW = 1;


struct IPDATA
{
   byte d1;
   byte d2;
   byte d3;
   byte d4;
};


struct RECT
{
   int left;
   int top;
   int right;
   int bottom;
};


struct VECTOR
{
   float x;
   float y;
   float z;
};


struct VERTEX_2D
{
   VECTOR pos;
   float rhw;
   int color;
   float u;
   float v;
};


struct VERTEX
{
   float x;
   float y;
   float u;
   float v;
   byte b;
   byte g;
   byte r;
   byte a;
};


struct VERTEX_3D
{
   VECTOR pos;
   byte b;
   byte g;
   byte r;
   byte a;
   float u;
   float v;
};


struct VERTEX_3D_LIGHT
{
   VECTOR pos;
   VECTOR normal;
   byte b;
   byte g;
   byte r;
   byte a;
   float u;
   float v;
};


struct COLORPALETTEDATA
{
   byte Blue;
   byte Green;
   byte Red;
   byte Alpha;
};


struct LINEDATA
{
   int x1;
   int y1;
   int x2;
   int y2;
   int color;
   int pal;
};


struct POINTDATA
{
   int x;
   int y;
   int color;
   int pal;
};


struct IMAGEFORMATDESC
{
   byte TextureFlag;
   byte AlphaChFlag;
   byte DrawValidFlag;
   byte SystemMemFlag;
   byte AlphaTestFlag;
   byte ColorBitDepth;
   byte BlendGraphFlag;
   byte UsePaletteFlag;
};


struct DATEDATA
{
   int Year;
   int Mon;
   int Day;
   int Hour;
   int Min;
   int Sec;
};



extern(Windows) int dx_DxLib_Init( );
int DxLib_Init( )
{
  return dx_DxLib_Init( );
}


extern(Windows) int dx_DxLib_End( );
int DxLib_End( )
{
  return dx_DxLib_End( );
}


extern(Windows) int dx_DxLib_GlobalStructInitialize( );
int DxLib_GlobalStructInitialize( )
{
  return dx_DxLib_GlobalStructInitialize( );
}


extern(Windows) int dx_DxSetAllocPrintFlag( int Flag);
int DxSetAllocPrintFlag( int Flag)
{
  return dx_DxSetAllocPrintFlag( Flag );
}


extern(Windows) int dx_DxGetAllocNum( );
int DxGetAllocNum( )
{
  return dx_DxGetAllocNum( );
}


extern(Windows) void dx_DxDumpAlloc( );
void DxDumpAlloc( )
{
  dx_DxDumpAlloc( );
}


extern(Windows) int dx_DxErrorCheckAlloc( );
int DxErrorCheckAlloc( )
{
  return dx_DxErrorCheckAlloc( );
}


extern(Windows) int dx_DxSetAllocSizeOutFlag( int Flag);
int DxSetAllocSizeOutFlag( int Flag)
{
  return dx_DxSetAllocSizeOutFlag( Flag );
}


extern(Windows) int dx_DxSetAllocMemoryErrorCheckFlag( int Flag);
int DxSetAllocMemoryErrorCheckFlag( int Flag)
{
  return dx_DxSetAllocMemoryErrorCheckFlag( Flag );
}


extern(Windows) int dx_SetLogDrawOutFlag( int DrawFlag);
int SetLogDrawOutFlag( int DrawFlag)
{
  return dx_SetLogDrawOutFlag( DrawFlag );
}


extern(Windows) int dx_GetLogDrawFlag( );
int GetLogDrawFlag( )
{
  return dx_GetLogDrawFlag( );
}


extern(Windows) int dx_clsDx( );
int clsDx( )
{
  return dx_clsDx( );
}


extern(Windows) int dx_FileRead_open( const char* FilePath);
int FileRead_open( string FilePath)
{
  return dx_FileRead_open( FilePath.toStringz() );
}


extern(Windows) int dx_FileRead_size( const char* FilePath);
int FileRead_size( string FilePath)
{
    return dx_FileRead_size( FilePath.toStringz() );
}


extern(Windows) int dx_FileRead_close( int FileHandle);
int FileRead_close( int FileHandle)
{
  return dx_FileRead_close( FileHandle );
}


extern(Windows) int dx_FileRead_tell( int FileHandle);
int FileRead_tell( int FileHandle)
{
  return dx_FileRead_tell( FileHandle );
}


extern(Windows) int dx_FileRead_seek( int FileHandle, int Offset, int Origin);
int FileRead_seek( int FileHandle, int Offset, int Origin)
{
  return dx_FileRead_seek( FileHandle , Offset , Origin );
}


extern(Windows) int dx_FileRead_eof( int FileHandle);
int FileRead_eof( int FileHandle)
{
  return dx_FileRead_eof( FileHandle );
}


extern(Windows) int dx_FileRead_gets( char* Buffer, int BufferSize, int FileHandle);
int FileRead_gets( char* Buffer, int BufferSize, int FileHandle)
{
  return dx_FileRead_gets( Buffer , BufferSize , FileHandle );
}


extern(Windows) int dx_FileRead_getc( int FileHandle);
int FileRead_getc( int FileHandle)
{
  return dx_FileRead_getc( FileHandle );
}


extern(Windows) int dx_ProcessMessage( );
int ProcessMessage( )
{
  return dx_ProcessMessage( );
}


extern(Windows) int dx_GetWindowCRect( out RECT RectBuf);
int GetWindowCRect( out RECT RectBuf)
{
  return dx_GetWindowCRect( RectBuf );
}


extern(Windows) int dx_GetWindowActiveFlag( );
int GetWindowActiveFlag( )
{
  return dx_GetWindowActiveFlag( );
}


extern(Windows) int dx_GetWindowModeFlag( );
int GetWindowModeFlag( )
{
  return dx_GetWindowModeFlag( );
}


extern(Windows) int dx_GetDefaultState( out int SizeX, out int SizeY, out int ColorBitDepth);
int GetDefaultState( out int SizeX, out int SizeY, out int ColorBitDepth)
{
  return dx_GetDefaultState( SizeX , SizeY , ColorBitDepth );
}


extern(Windows) int dx_GetActiveFlag( );
int GetActiveFlag( )
{
  return dx_GetActiveFlag( );
}


extern(Windows) int dx_GetNoActiveState( int ResetFlag);
int GetNoActiveState( )
{
  return dx_GetNoActiveState( TRUE );
}
int GetNoActiveState( int ResetFlag)
{
  return dx_GetNoActiveState( ResetFlag );
}


extern(Windows) int dx_GetMouseDispFlag( );
int GetMouseDispFlag( )
{
  return dx_GetMouseDispFlag( );
}


extern(Windows) int dx_GetAlwaysRunFlag( );
int GetAlwaysRunFlag( )
{
  return dx_GetAlwaysRunFlag( );
}


extern(Windows)
int dx__GetSystemInfo( out int DxLibVer,
                       out int DirectXVer,
                       out int WindowsVer);
int _GetSystemInfo( out int DxLibVer,
                    out int DirectXVer,
                    out int WindowsVer)
{
  return dx__GetSystemInfo( DxLibVer , DirectXVer , WindowsVer );
}


extern(Windows)
int dx_GetPcInfo( out char OSString,
                  out char DirectXString,
                  out char CPUString,
                  out int CPUSpeed,
                  out double FreeMemorySize,
                  out double TotalMemorySize,
                  out char VideoDriverFileName,
                  out char VideoDriverString,
                  out double FreeVideoMemorySize,
                  out double TotalVideoMemorySize);
int GetPcInfo( out char OSString,
               out char DirectXString,
               out char CPUString,
               out int CPUSpeed,
               out double FreeMemorySize,
               out double TotalMemorySize,
               out char VideoDriverFileName,
               out char VideoDriverString,
               out double FreeVideoMemorySize,
               out double TotalVideoMemorySize) {
    return dx_GetPcInfo( OSString , DirectXString , CPUString , CPUSpeed , FreeMemorySize , TotalMemorySize , VideoDriverFileName , VideoDriverString , FreeVideoMemorySize , TotalVideoMemorySize );
}


extern(Windows) int dx_GetUseMMXFlag( );
int GetUseMMXFlag( )
{
  return dx_GetUseMMXFlag( );
}


extern(Windows) int dx_GetWindowCloseFlag( );
int GetWindowCloseFlag( )
{
  return dx_GetWindowCloseFlag( );
}


extern(Windows) int dx_GetUseWindowRgnFlag( );
int GetUseWindowRgnFlag( )
{
  return dx_GetUseWindowRgnFlag( );
}


extern(Windows) int dx_GetWindowSizeChangeEnableFlag( );
int GetWindowSizeChangeEnableFlag( )
{
  return dx_GetWindowSizeChangeEnableFlag( );
}


extern(Windows) int dx_GetWindowUserCloseFlag( int StateResetFlag);
int GetWindowUserCloseFlag( )
{
  return dx_GetWindowUserCloseFlag( FALSE );
}
int GetWindowUserCloseFlag( int StateResetFlag)
{
  return dx_GetWindowUserCloseFlag( StateResetFlag );
}


extern(Windows) int dx_GetNotDrawFlag( );
int GetNotDrawFlag( )
{
  return dx_GetNotDrawFlag( );
}


extern(Windows) int dx_ChangeWindowMode( int Flag);
int ChangeWindowMode( int Flag)
{
  return dx_ChangeWindowMode( Flag );
}


extern(Windows) int dx_LoadPauseGraph( const char* FileName);
int LoadPauseGraph( string FileName)
{
    return dx_LoadPauseGraph( FileName.toStringz() );
}


extern(Windows) int dx_SetWindowText( const char* WindowText);
int SetWindowText( string WindowText)
{
    return dx_SetWindowText( WindowText.toStringz() );
}


extern(Windows) int dx_SetMainWindowText( const char*  WindowText);
int SetMainWindowText( string WindowText)
{
    return dx_SetMainWindowText( WindowText.toStringz() );
}


extern(Windows) int dx_SetMainWindowClassName( const char* ClassName);
int SetMainWindowClassName( string ClassName)
{
    return dx_SetMainWindowClassName( ClassName.toStringz() );
}


extern(Windows) int dx_SetOutApplicationLogValidFlag( int Flag);
int SetOutApplicationLogValidFlag( int Flag)
{
  return dx_SetOutApplicationLogValidFlag( Flag );
}


extern(Windows) int dx_SetAlwaysRunFlag( int Flag);
int SetAlwaysRunFlag( int Flag)
{
  return dx_SetAlwaysRunFlag( Flag );
}


extern(Windows) int dx_SetWindowIconID( int ID);
int SetWindowIconID( int ID)
{
  return dx_SetWindowIconID( ID );
}


extern(Windows) int dx_SetWindowStyleMode( int Mode);
int SetWindowStyleMode( int Mode)
{
  return dx_SetWindowStyleMode( Mode );
}


extern(Windows) int dx_SetWindowSizeChangeEnableFlag( int Flag);
int SetWindowSizeChangeEnableFlag( int Flag)
{
  return dx_SetWindowSizeChangeEnableFlag( Flag );
}


extern(Windows) int dx_SetWindowSizeExtendRate( double ExRate);
int SetWindowSizeExtendRate( double ExRate)
{
  return dx_SetWindowSizeExtendRate( ExRate );
}


extern(Windows) int dx_SetSysCommandOffFlag( int Flag, const char* HookDllPath);
int SetSysCommandOffFlag( int Flag)
{
  return dx_SetSysCommandOffFlag( Flag , null );
}
int SetSysCommandOffFlag( int Flag, string HookDllPath)
{
    return dx_SetSysCommandOffFlag( Flag , HookDllPath.toStringz() );
}


extern(Windows) int dx_SetDoubleStartValidFlag( int Flag);
int SetDoubleStartValidFlag( int Flag)
{
  return dx_SetDoubleStartValidFlag( Flag );
}


extern(Windows) int dx_SetWindowInitPosition( int x, int y);
int SetWindowInitPosition( int x, int y)
{
  return dx_SetWindowInitPosition( x , y );
}


extern(Windows) int dx_SetNotWinFlag( int Flag);
int SetNotWinFlag( int Flag)
{
  return dx_SetNotWinFlag( Flag );
}


extern(Windows) int dx_SetNotDrawFlag( int Flag);
int SetNotDrawFlag( int Flag)
{
  return dx_SetNotDrawFlag( Flag );
}


extern(Windows) int dx_SetNotSoundFlag( int Flag);
int SetNotSoundFlag( int Flag)
{
  return dx_SetNotSoundFlag( Flag );
}


extern(Windows) int dx_SetNotInputFlag( int Flag);
int SetNotInputFlag( int Flag)
{
  return dx_SetNotInputFlag( Flag );
}


extern(Windows) int dx_GetStreamFunctionDefault( );
int GetStreamFunctionDefault( )
{
  return dx_GetStreamFunctionDefault( );
}


extern(Windows) int dx_SetWindowVisibleFlag( int Flag);
int SetWindowVisibleFlag( int Flag)
{
  return dx_SetWindowVisibleFlag( Flag );
}


extern(Windows) int dx_SetWindowUserCloseEnableFlag( int Flag);
int SetWindowUserCloseEnableFlag( int Flag)
{
  return dx_SetWindowUserCloseEnableFlag( Flag );
}


extern(Windows) int dx_SetDxLibEndPostQuitMessageFlag( int Flag);
int SetDxLibEndPostQuitMessageFlag( int Flag)
{
  return dx_SetDxLibEndPostQuitMessageFlag( Flag );
}


extern(Windows) int dx_SetUserWindowMessageProcessDXLibFlag( int Flag);
int SetUserWindowMessageProcessDXLibFlag( int Flag)
{
  return dx_SetUserWindowMessageProcessDXLibFlag( Flag );
}


extern(Windows) int dx_SetUseDXArchiveFlag( int Flag);
int SetUseDXArchiveFlag( int Flag)
{
  return dx_SetUseDXArchiveFlag( Flag );
}


extern(Windows) int dx_SetDXArchiveExtension( const char* Extension);
int SetDXArchiveExtension( )
{
  return dx_SetDXArchiveExtension( null );
}
int SetDXArchiveExtension( string Extension)
{
    return dx_SetDXArchiveExtension( Extension.toStringz() );
}


extern(Windows) int dx_SetDXArchiveKeyString( const char* KeyString);
int SetDXArchiveKeyString( )
{
  return dx_SetDXArchiveKeyString( null );
}
int SetDXArchiveKeyString( string KeyString)
{
    return dx_SetDXArchiveKeyString( KeyString.toStringz() );
}


extern(Windows) int dx_SetUseDateNameLogFile( int Flag);
int SetUseDateNameLogFile( int Flag)
{
  return dx_SetUseDateNameLogFile( Flag );
}


extern(Windows) int dx_SetBackgroundColor( int Red, int Green, int Blue);
int SetBackgroundColor( int Red, int Green, int Blue)
{
  return dx_SetBackgroundColor( Red , Green , Blue );
}


extern(Windows) int dx_SetDragFileValidFlag( int Flag);
int SetDragFileValidFlag( int Flag)
{
  return dx_SetDragFileValidFlag( Flag );
}


extern(Windows) int dx_DragFileInfoClear( );
int DragFileInfoClear( )
{
  return dx_DragFileInfoClear( );
}


extern(Windows) int dx_GetDragFilePath( char* FilePathBuffer);
int GetDragFilePath( char* FilePathBuffer)
{
  return dx_GetDragFilePath( FilePathBuffer );
}


extern(Windows) int dx_GetDragFileNum( );
int GetDragFileNum( )
{
  return dx_GetDragFileNum( );
}


extern(Windows) int dx_SetWindowRgnGraph( const char* FileName);
int SetWindowRgnGraph( string FileName)
{
    return dx_SetWindowRgnGraph( FileName.toStringz() );
}


extern(Windows) int dx_SetupToolBar( const char* BitmapName, int DivNum);
int SetupToolBar( string BitmapName, int DivNum)
{
    return dx_SetupToolBar( BitmapName.toStringz() , DivNum );
}


extern(Windows) int dx_AddToolBarButton( int Type, int State,
                                         int ImageIndex, int ID);
int AddToolBarButton( int Type, int State, int ImageIndex, int ID)
{
  return dx_AddToolBarButton( Type , State , ImageIndex , ID );
}


extern(Windows) int dx_AddToolBarSep( );
int AddToolBarSep( )
{
  return dx_AddToolBarSep( );
}


extern(Windows) int dx_GetToolBarButtonState( int ID);
int GetToolBarButtonState( int ID)
{
  return dx_GetToolBarButtonState( ID );
}


extern(Windows) int dx_SetToolBarButtonState( int ID, int State);
int SetToolBarButtonState( int ID, int State)
{
  return dx_SetToolBarButtonState( ID , State );
}


extern(Windows) int dx_DeleteAllToolBarButton( );
int DeleteAllToolBarButton( )
{
  return dx_DeleteAllToolBarButton( );
}


extern(Windows) int dx_SetUseMenuFlag( int Flag);
int SetUseMenuFlag( int Flag)
{
  return dx_SetUseMenuFlag( Flag );
}


extern(Windows) int dx_SetUseKeyAccelFlag( int Flag);
int SetUseKeyAccelFlag( int Flag)
{
  return dx_SetUseKeyAccelFlag( Flag );
}


extern(Windows) int dx_AddKeyAccel( const char* ItemName, int ItemID, int KeyCode, int CtrlFlag, int AltFlag, int ShiftFlag);
int AddKeyAccel( string ItemName, int ItemID, int KeyCode, int CtrlFlag, int AltFlag, int ShiftFlag)
{
    return dx_AddKeyAccel( ItemName.toStringz() , ItemID , KeyCode , CtrlFlag , AltFlag , ShiftFlag );
}


extern(Windows) int dx_AddKeyAccel_Name( const char* ItemName, int KeyCode, int CtrlFlag, int AltFlag, int ShiftFlag);
int AddKeyAccel_Name( string ItemName, int KeyCode, int CtrlFlag, int AltFlag, int ShiftFlag)
{
    return dx_AddKeyAccel_Name( ItemName.toStringz() , KeyCode , CtrlFlag , AltFlag , ShiftFlag );
}


extern(Windows) int dx_AddKeyAccel_ID( int ItemID, int KeyCode, int CtrlFlag, int AltFlag, int ShiftFlag);
int AddKeyAccel_ID( int ItemID, int KeyCode, int CtrlFlag, int AltFlag, int ShiftFlag)
{
  return dx_AddKeyAccel_ID( ItemID , KeyCode , CtrlFlag , AltFlag , ShiftFlag );
}


extern(Windows) int dx_ClearKeyAccel( );
int ClearKeyAccel( )
{
  return dx_ClearKeyAccel( );
}


extern(Windows) int dx_AddMenuItem( int AddType, const char* ItemName, int ItemID, int SeparatorFlag, const char* NewItemName, int NewItemID);
int AddMenuItem( int AddType, string ItemName, int ItemID, int SeparatorFlag)
{
    return dx_AddMenuItem( AddType , ItemName.toStringz() , ItemID , SeparatorFlag , null , -1 );
}
int AddMenuItem( int AddType, string ItemName, int ItemID, int SeparatorFlag, string NewItemName)
{
    return dx_AddMenuItem( AddType , ItemName.toStringz() , ItemID , SeparatorFlag , NewItemName.toStringz() , -1 );
}
int AddMenuItem( int AddType, string ItemName, int ItemID, int SeparatorFlag, string NewItemName, int NewItemID)
{
    return dx_AddMenuItem( AddType , ItemName.toStringz() , ItemID , SeparatorFlag , NewItemName.toStringz() , NewItemID );
}


extern(Windows) int dx_DeleteMenuItem( const char* ItemName, int ItemID);
int DeleteMenuItem( string ItemName, int ItemID)
{
    return dx_DeleteMenuItem( ItemName.toStringz() , ItemID );
}


extern(Windows) int dx_CheckMenuItemSelect( const char* ItemName, int ItemID);
int CheckMenuItemSelect( string ItemName, int ItemID)
{
    return dx_CheckMenuItemSelect( ItemName.toStringz() , ItemID );
}


extern(Windows) int dx_SetMenuItemEnable( const char* ItemName, int ItemID, int EnableFlag);
int SetMenuItemEnable( string ItemName, int ItemID, int EnableFlag)
{
    return dx_SetMenuItemEnable( ItemName.toStringz() , ItemID , EnableFlag );
}


extern(Windows) int dx_SetMenuItemMark( const char* ItemName, int ItemID, int Mark);
int SetMenuItemMark( string ItemName, int ItemID, int Mark)
{
    return dx_SetMenuItemMark( ItemName.toStringz() , ItemID , Mark );
}


extern(Windows) int dx_AddMenuItem_Name( const char* ParentItemName, const char* NewItemName);
int AddMenuItem_Name( string ParentItemName, string NewItemName)
{
    return dx_AddMenuItem_Name( ParentItemName.toStringz() , NewItemName.toStringz() );
}


extern(Windows) int dx_AddMenuLine_Name( const char* ParentItemName);
int AddMenuLine_Name( string ParentItemName)
{
    return dx_AddMenuLine_Name( ParentItemName.toStringz() );
}


extern(Windows) int dx_InsertMenuItem_Name( const char* ItemName, const char* NewItemName);
int InsertMenuItem_Name( string ItemName, string NewItemName)
{
  return dx_InsertMenuItem_Name( ItemName.toStringz() , NewItemName.toStringz() );
}


extern(Windows) int dx_InsertMenuLine_Name( const char* ItemName);
int InsertMenuLine_Name( string ItemName)
{
  return dx_InsertMenuLine_Name( ItemName.toStringz() );
}


extern(Windows) int dx_DeleteMenuItem_Name( const char* ItemName);
int DeleteMenuItem_Name( string ItemName)
{
  return dx_DeleteMenuItem_Name( ItemName.toStringz() );
}


extern(Windows) int dx_CheckMenuItemSelect_Name( const char* ItemName);
int CheckMenuItemSelect_Name( string ItemName)
{
  return dx_CheckMenuItemSelect_Name( ItemName.toStringz() );
}


extern(Windows) int dx_SetMenuItemEnable_Name( const char* ItemName, int EnableFlag);
int SetMenuItemEnable_Name( string ItemName, int EnableFlag)
{
  return dx_SetMenuItemEnable_Name( ItemName.toStringz() , EnableFlag );
}


extern(Windows) int dx_SetMenuItemMark_Name( const char* ItemName, int Mark);
int SetMenuItemMark_Name( string ItemName, int Mark)
{
  return dx_SetMenuItemMark_Name( ItemName.toStringz() , Mark );
}


extern(Windows) int dx_AddMenuItem_ID( int ParentItemID, const char* NewItemName, int NewItemID);
int AddMenuItem_ID( int ParentItemID, string NewItemName)
{
  return dx_AddMenuItem_ID( ParentItemID , NewItemName.toStringz() , -1 );
}
int AddMenuItem_ID( int ParentItemID, string NewItemName, int NewItemID)
{
  return dx_AddMenuItem_ID( ParentItemID , NewItemName.toStringz() , NewItemID );
}


extern(Windows) int dx_AddMenuLine_ID( int ParentItemID);
int AddMenuLine_ID( int ParentItemID)
{
  return dx_AddMenuLine_ID( ParentItemID );
}


extern(Windows) int dx_InsertMenuItem_ID( int ItemID, int NewItemID);
int InsertMenuItem_ID( int ItemID, int NewItemID)
{
  return dx_InsertMenuItem_ID( ItemID , NewItemID );
}


extern(Windows) int dx_InsertMenuLine_ID( int ItemID, int NewItemID);
int InsertMenuLine_ID( int ItemID, int NewItemID)
{
  return dx_InsertMenuLine_ID( ItemID , NewItemID );
}


extern(Windows) int dx_DeleteMenuItem_ID( int ItemID);
int DeleteMenuItem_ID( int ItemID)
{
  return dx_DeleteMenuItem_ID( ItemID );
}


extern(Windows) int dx_CheckMenuItemSelect_ID( int ItemID);
int CheckMenuItemSelect_ID( int ItemID)
{
  return dx_CheckMenuItemSelect_ID( ItemID );
}


extern(Windows) int dx_SetMenuItemEnable_ID( int ItemID, int EnableFlag);
int SetMenuItemEnable_ID( int ItemID, int EnableFlag)
{
  return dx_SetMenuItemEnable_ID( ItemID , EnableFlag );
}


extern(Windows) int dx_SetMenuItemMark_ID( int ItemID, int Mark);
int SetMenuItemMark_ID( int ItemID, int Mark)
{
  return dx_SetMenuItemMark_ID( ItemID , Mark );
}


extern(Windows) int dx_DeleteMenuItemAll( );
int DeleteMenuItemAll( )
{
  return dx_DeleteMenuItemAll( );
}


extern(Windows) int dx_ClearMenuItemSelect( );
int ClearMenuItemSelect( )
{
  return dx_ClearMenuItemSelect( );
}


extern(Windows) int dx_GetMenuItemID( const char* ItemName);
int GetMenuItemID( const char* ItemName)
{
  return dx_GetMenuItemID( ItemName );
}


extern(Windows) int dx_GetMenuItemName( int ItemID, char* NameBuffer);
int GetMenuItemName( int ItemID, char* NameBuffer)
{
  return dx_GetMenuItemName( ItemID , NameBuffer );
}


extern(Windows) int dx_LoadMenuResource( int MenuResourceID);
int LoadMenuResource( int MenuResourceID)
{
  return dx_LoadMenuResource( MenuResourceID );
}


extern(Windows) int dx_SetDisplayMenuFlag( int Flag);
int SetDisplayMenuFlag( int Flag)
{
  return dx_SetDisplayMenuFlag( Flag );
}


extern(Windows) int dx_GetDisplayMenuFlag( );
int GetDisplayMenuFlag( )
{
  return dx_GetDisplayMenuFlag( );
}


extern(Windows) int dx_GetUseMenuFlag( );
int GetUseMenuFlag( )
{
  return dx_GetUseMenuFlag( );
}


extern(Windows) int dx_SetAutoMenuDisplayFlag( int Flag);
int SetAutoMenuDisplayFlag( int Flag)
{
  return dx_SetAutoMenuDisplayFlag( Flag );
}


extern(Windows) int dx_SetMouseDispFlag( int DispFlag);
int SetMouseDispFlag( int DispFlag)
{
  return dx_SetMouseDispFlag( DispFlag );
}


extern(Windows) int dx_GetMousePoint( out int XBuf, out int YBuf);
int GetMousePoint( out int XBuf, out int YBuf)
{
  return dx_GetMousePoint( XBuf , YBuf );
}


extern(Windows) int dx_SetMousePoint( int PointX, int PointY);
int SetMousePoint( int PointX, int PointY)
{
  return dx_SetMousePoint( PointX , PointY );
}


extern(Windows) int dx_GetMouseInput( );
int GetMouseInput( )
{
  return dx_GetMouseInput( );
}


extern(Windows) int dx_GetMouseWheelRotVol( );
int GetMouseWheelRotVol( )
{
  return dx_GetMouseWheelRotVol( );
}


extern(Windows) int dx_WaitTimer( int WaitTime);
int WaitTimer( int WaitTime)
{
  return dx_WaitTimer( WaitTime );
}


extern(Windows) int dx_WaitKey( );
int WaitKey( )
{
  return dx_WaitKey( );
}


extern(Windows) int dx_GetNowCount( int UseRDTSCFlag);
int GetNowCount( )
{
  return dx_GetNowCount( FALSE );
}
int GetNowCount( int UseRDTSCFlag)
{
  return dx_GetNowCount( UseRDTSCFlag );
}


extern(Windows) int dx_GetDateTime( out DATEDATA DateBuf);
int GetDateTime( out DATEDATA DateBuf)
{
  return dx_GetDateTime( DateBuf );
}


extern(Windows) int dx_GetRand( int RandMax);
int GetRand( int RandMax)
{
  return dx_GetRand( RandMax );
}


extern(Windows) int dx_SRand( int Seed);
int SRand( int Seed)
{
  return dx_SRand( Seed );
}


extern(Windows) int dx_ProcessNetMessage( int RunReleaseProcess);
int ProcessNetMessage( )
{
  return dx_ProcessNetMessage( FALSE );
}
int ProcessNetMessage( int RunReleaseProcess)
{
  return dx_ProcessNetMessage( RunReleaseProcess );
}


extern(Windows) int dx_GetHostIPbyName( const char* HostName, out IPDATA IPDataBuf);
int GetHostIPbyName( string HostName, out IPDATA IPDataBuf)
{
    return dx_GetHostIPbyName( HostName.toStringz() , IPDataBuf );
}


extern(Windows) int dx_ConnectNetWork( IPDATA IPData, int Port);
int ConnectNetWork( IPDATA IPData)
{
  return dx_ConnectNetWork( IPData , -1 );
}
int ConnectNetWork( IPDATA IPData, int Port)
{
  return dx_ConnectNetWork( IPData , Port );
}


extern(Windows) int dx_PreparationListenNetWork( int Port);
int PreparationListenNetWork( )
{
  return dx_PreparationListenNetWork( -1 );
}
int PreparationListenNetWork( int Port)
{
  return dx_PreparationListenNetWork( Port );
}


extern(Windows) int dx_StopListenNetWork( );
int StopListenNetWork( )
{
  return dx_StopListenNetWork( );
}


extern(Windows) int dx_CloseNetWork( int NetHandle);
int CloseNetWork( int NetHandle)
{
  return dx_CloseNetWork( NetHandle );
}


extern(Windows) int dx_GetNetWorkAcceptState( int NetHandle);
int GetNetWorkAcceptState( int NetHandle)
{
  return dx_GetNetWorkAcceptState( NetHandle );
}


extern(Windows) int dx_GetNetWorkDataLength( int NetHandle);
int GetNetWorkDataLength( int NetHandle)
{
  return dx_GetNetWorkDataLength( NetHandle );
}


extern(Windows) int dx_GetNetWorkSendDataLength( int NetHandle);
int GetNetWorkSendDataLength( int NetHandle)
{
  return dx_GetNetWorkSendDataLength( NetHandle );
}


extern(Windows) int dx_GetNewAcceptNetWork( );
int GetNewAcceptNetWork( )
{
  return dx_GetNewAcceptNetWork( );
}


extern(Windows) int dx_GetLostNetWork( );
int GetLostNetWork( )
{
  return dx_GetLostNetWork( );
}


extern(Windows) int dx_GetNetWorkIP( int NetHandle, out IPDATA IpBuf);
int GetNetWorkIP( int NetHandle, out IPDATA IpBuf)
{
    return dx_GetNetWorkIP( NetHandle , IpBuf );
}


extern(Windows) int dx_GetMyIPAddress( out IPDATA IpBuf);
int GetMyIPAddress( out IPDATA IpBuf)
{
  return dx_GetMyIPAddress( IpBuf );
}


extern(Windows) int dx_SetConnectTimeOutWait( int Time);
int SetConnectTimeOutWait( int Time)
{
  return dx_SetConnectTimeOutWait( Time );
}


extern(Windows) int dx_SetUseDXNetWorkProtocol( int Flag);
int SetUseDXNetWorkProtocol( int Flag)
{
  return dx_SetUseDXNetWorkProtocol( Flag );
}


extern(Windows) int dx_GetUseDXNetWorkProtocol( );
int GetUseDXNetWorkProtocol( )
{
  return dx_GetUseDXNetWorkProtocol( );
}


extern(Windows) int dx_SetUseDXProtocol( int Flag);
int SetUseDXProtocol( int Flag)
{
  return dx_SetUseDXProtocol( Flag );
}


extern(Windows) int dx_GetUseDXProtocol( );
int GetUseDXProtocol( )
{
			return dx_GetUseDXProtocol( );
}


extern(Windows) int dx_SetNetWorkCloseAfterLostFlag( int Flag);
int SetNetWorkCloseAfterLostFlag( int Flag)
{
  return dx_SetNetWorkCloseAfterLostFlag( Flag );
}


extern(Windows) int dx_GetNetWorkCloseAfterLostFlag( );
int GetNetWorkCloseAfterLostFlag( )
{
  return dx_GetNetWorkCloseAfterLostFlag( );
}


extern(Windows) int dx_SetProxySetting( int UseFlag, char* Address, int Port);
int SetProxySetting( int UseFlag, char* Address, int Port)
{
  return dx_SetProxySetting( UseFlag , Address , Port );
}


extern(Windows) int dx_GetProxySetting( out int UseFlagBuffer, out char AddressBuffer, out int PortBuffer);
int GetProxySetting( out int UseFlagBuffer, out char AddressBuffer, out int PortBuffer)
{
  return dx_GetProxySetting( UseFlagBuffer , AddressBuffer , PortBuffer );
}


extern(Windows) int dx_SetIEProxySetting( );
int SetIEProxySetting( )
{
  return dx_SetIEProxySetting( );
}


extern(Windows) int dx_StokInputChar( char CharCode);
int StokInputChar( char CharCode)
{
  return dx_StokInputChar( CharCode );
}


extern(Windows) int dx_ClearInputCharBuf( );
int ClearInputCharBuf( )
{
  return dx_ClearInputCharBuf( );
}


extern(Windows) int dx_GetOneChar( char* CharBuffer, int DeleteFlag);
int GetOneChar( char* CharBuffer, int DeleteFlag)
{
  return dx_GetOneChar( CharBuffer , DeleteFlag );
}


extern(Windows) int dx_GetOneCharWait( char* CharBuffer, int DeleteFlag);
int GetOneCharWait( char* CharBuffer, int DeleteFlag)
{
  return dx_GetOneCharWait( CharBuffer , DeleteFlag );
}


extern(Windows) int dx_GetCtrlCodeCmp( char Char);
int GetCtrlCodeCmp( char Char)
{
  return dx_GetCtrlCodeCmp( Char );
}


extern(Windows) int dx_DrawIMEInputString( int x, int y, int SelectStringNum);
int DrawIMEInputString( int x, int y, int SelectStringNum)
{
  return dx_DrawIMEInputString( x , y , SelectStringNum );
}


extern(Windows) int dx_SetUseIMEFlag( int UseFlag);
int SetUseIMEFlag( int UseFlag)
{
  return dx_SetUseIMEFlag( UseFlag );
}


extern(Windows) int dx_GetStringPoint( const char* String, int Point);
int GetStringPoint( const char* String, int Point)
{
  return dx_GetStringPoint( String , Point );
}


extern(Windows) int dx_GetStringPoint2( const char* String, int Point);
int GetStringPoint2( const char* String, int Point)
{
  return dx_GetStringPoint2( String , Point );
}


extern(Windows) int dx_DrawObtainsString( int x, int y, int AddY, const char* String, int StrColor, int StrEdgeColor, int FontHandle);
int DrawObtainsString( int x, int y, int AddY, const char* String, int StrColor)
{
  return dx_DrawObtainsString( x , y , AddY , String , StrColor , 0 , -1 );
}
int DrawObtainsString( int x, int y, int AddY, const char* String, int StrColor, int StrEdgeColor)
{
  return dx_DrawObtainsString( x , y , AddY , String , StrColor , StrEdgeColor , -1 );
}
int DrawObtainsString( int x, int y, int AddY, const char* String, int StrColor, int StrEdgeColor, int FontHandle)
{
    return dx_DrawObtainsString( x , y , AddY , String , StrColor , StrEdgeColor , FontHandle );
}


extern(Windows) int dx_DrawObtainsBox( int x1, int y1, int x2, int y2, int AddY, int Color, int FillFlag);
int DrawObtainsBox( int x1, int y1, int x2, int y2, int AddY, int Color, int FillFlag)
{
  return dx_DrawObtainsBox( x1 , y1 , x2 , y2 , AddY , Color , FillFlag );
}


extern(Windows) int dx_InputStringToCustom( int x, int y, int BufLength, char* StrBuffer, int CancelValidFlag, int SingleCharOnlyFlag, int NumCharOnlyFlag);
int InputStringToCustom( int x, int y, int BufLength, char* StrBuffer, int CancelValidFlag, int SingleCharOnlyFlag, int NumCharOnlyFlag)
{
  return dx_InputStringToCustom( x , y , BufLength , StrBuffer , CancelValidFlag , SingleCharOnlyFlag , NumCharOnlyFlag );
}


extern(Windows) int dx_KeyInputString( int x, int y, int CharMaxLength, char* StrBuffer, int CancelValidFlag);
int KeyInputString( int x, int y, int CharMaxLength, char* StrBuffer, int CancelValidFlag)
{
  return dx_KeyInputString( x , y , CharMaxLength , StrBuffer , CancelValidFlag );
}


extern(Windows) int dx_KeyInputSingleCharString( int x, int y, int CharMaxLength, char* StrBuffer, int CancelValidFlag);
int KeyInputSingleCharString( int x, int y, int CharMaxLength, char* StrBuffer, int CancelValidFlag)
{
  return dx_KeyInputSingleCharString( x , y , CharMaxLength , StrBuffer , CancelValidFlag );
}


extern(Windows) int dx_KeyInputNumber( int x, int y, int MaxNum, int MinNum, int CancelValidFlag);
int KeyInputNumber( int x, int y, int MaxNum, int MinNum, int CancelValidFlag)
{
  return dx_KeyInputNumber( x , y , MaxNum , MinNum , CancelValidFlag );
}


extern(Windows) int dx_GetIMEInputModeStr( char* GetBuffer);
int GetIMEInputModeStr( char* GetBuffer)
{
  return dx_GetIMEInputModeStr( GetBuffer );
}


extern(Windows) int dx_SetKeyInputStringColor( int NmlStr, int NmlCur, int IMEStr, int IMECur, int IMELine, int IMESelectStr, int IMEModeStr, int NmlStrE, int IMESelectStrE, int IMEModeStrE);
int SetKeyInputStringColor( int NmlStr, int NmlCur, int IMEStr, int IMECur, int IMELine, int IMESelectStr, int IMEModeStr)
{
  return dx_SetKeyInputStringColor( NmlStr , NmlCur , IMEStr , IMECur , IMELine , IMESelectStr , IMEModeStr , 0 , 0 , 0 );
}
int SetKeyInputStringColor( int NmlStr, int NmlCur, int IMEStr, int IMECur, int IMELine, int IMESelectStr, int IMEModeStr, int NmlStrE)
{
  return dx_SetKeyInputStringColor( NmlStr , NmlCur , IMEStr , IMECur , IMELine , IMESelectStr , IMEModeStr , NmlStrE , 0 , 0 );
}
int SetKeyInputStringColor( int NmlStr, int NmlCur, int IMEStr, int IMECur, int IMELine, int IMESelectStr, int IMEModeStr, int NmlStrE, int IMESelectStrE)
{
  return dx_SetKeyInputStringColor( NmlStr , NmlCur , IMEStr , IMECur , IMELine , IMESelectStr , IMEModeStr , NmlStrE , IMESelectStrE , 0 );
}
int SetKeyInputStringColor( int NmlStr, int NmlCur, int IMEStr, int IMECur, int IMELine, int IMESelectStr, int IMEModeStr, int NmlStrE, int IMESelectStrE, int IMEModeStrE)
{
  return dx_SetKeyInputStringColor( NmlStr , NmlCur , IMEStr , IMECur , IMELine , IMESelectStr , IMEModeStr , NmlStrE , IMESelectStrE , IMEModeStrE );
}


extern(Windows) int dx_SetKeyInputStringFont( int FontHandle);
int SetKeyInputStringFont( int FontHandle)
{
  return dx_SetKeyInputStringFont( FontHandle );
}


extern(Windows) int dx_DrawKeyInputModeString( int x, int y);
int DrawKeyInputModeString( int x, int y)
{
  return dx_DrawKeyInputModeString( x , y );
}


extern(Windows) int dx_InitKeyInput( );
int InitKeyInput( )
{
  return dx_InitKeyInput( );
}


extern(Windows) int dx_MakeKeyInput( int MaxStrLength, int CancelValidFlag, int SingleCharOnlyFlag, int NumCharOnlyFlag);
int MakeKeyInput( int MaxStrLength, int CancelValidFlag, int SingleCharOnlyFlag, int NumCharOnlyFlag)
{
  return dx_MakeKeyInput( MaxStrLength , CancelValidFlag , SingleCharOnlyFlag , NumCharOnlyFlag );
}


extern(Windows) int dx_DeleteKeyInput( int InputHandle);
int DeleteKeyInput( int InputHandle)
{
  return dx_DeleteKeyInput( InputHandle );
}


extern(Windows) int dx_SetActiveKeyInput( int InputHandle);
int SetActiveKeyInput( int InputHandle)
{
  return dx_SetActiveKeyInput( InputHandle );
}


extern(Windows) int dx_CheckKeyInput( int InputHandle);
int CheckKeyInput( int InputHandle)
{
  return dx_CheckKeyInput( InputHandle );
}


extern(Windows) int dx_ProcessActKeyInput( );
int ProcessActKeyInput( )
{
  return dx_ProcessActKeyInput( );
}


extern(Windows) int dx_DrawKeyInputString( int x, int y, int InputHandle);
int DrawKeyInputString( int x, int y, int InputHandle)
{
  return dx_DrawKeyInputString( x , y , InputHandle );
}


extern(Windows) int dx_SetKeyInputCursorBrinkTime( int Time);
int SetKeyInputCursorBrinkTime( int Time)
{
  return dx_SetKeyInputCursorBrinkTime( Time );
}


extern(Windows) int dx_SetKeyInputCursorBrinkFlag( int Flag);
int SetKeyInputCursorBrinkFlag( int Flag)
{
  return dx_SetKeyInputCursorBrinkFlag( Flag );
}


extern(Windows) int dx_SetKeyInputString( const char* String, int InputHandle);
int SetKeyInputString( const char* String, int InputHandle)
{
  return dx_SetKeyInputString( String, InputHandle );
}


extern(Windows) int dx_SetKeyInputNumber( int Number, int InputHandle);
int SetKeyInputNumber( int Number, int InputHandle)
{
  return dx_SetKeyInputNumber( Number , InputHandle );
}


extern(Windows) int dx_GetKeyInputString( char* StrBuffer, int InputHandle);
int GetKeyInputString( char* StrBuffer, int InputHandle)
{
  return dx_GetKeyInputString( StrBuffer , InputHandle );
}


extern(Windows) int dx_GetKeyInputNumber( int InputHandle);
int GetKeyInputNumber( int InputHandle)
{
  return dx_GetKeyInputNumber( InputHandle );
}


extern(Windows) int dx_CheckHitKey( int KeyCode);
int CheckHitKey( int KeyCode)
{
  return dx_CheckHitKey( KeyCode );
}


extern(Windows) int dx_CheckHitKeyAll( );
int CheckHitKeyAll( )
{
  return dx_CheckHitKeyAll( );
}


extern(Windows) int dx_GetHitKeyStateAll( char* KeyStateBuf);
int GetHitKeyStateAll( char* KeyStateBuf)
{
  return dx_GetHitKeyStateAll( KeyStateBuf );
}


extern(Windows) int dx_SetKeyExclusiveCooperativeLevelFlag( int Flag);
int SetKeyExclusiveCooperativeLevelFlag( int Flag)
{
  return dx_SetKeyExclusiveCooperativeLevelFlag( Flag );
}


extern(Windows) int dx_GetJoypadNum( );
int GetJoypadNum( )
{
  return dx_GetJoypadNum( );
}


extern(Windows) int dx_GetJoypadInputState( int InputType);
int GetJoypadInputState( int InputType)
{
  return dx_GetJoypadInputState( InputType );
}


extern(Windows) int dx_GetJoypadAnalogInput( out int XBuf, out int YBuf, int InputType);
int GetJoypadAnalogInput( out int XBuf, out int YBuf, int InputType)
{
  return dx_GetJoypadAnalogInput( XBuf , YBuf , InputType );
}


extern(Windows) int dx_GetJoypadAnalogInputRight( out int XBuf, out int YBuf, int InputType);
int GetJoypadAnalogInputRight( out int XBuf, out int YBuf, int InputType)
{
  return dx_GetJoypadAnalogInputRight( XBuf , YBuf , InputType );
}


extern(Windows) int dx_KeyboradBufferProcess( );
int KeyboradBufferProcess( )
{
  return dx_KeyboradBufferProcess( );
}


extern(Windows) int dx_ConvertKeyCodeToVirtualKey( int KeyCode);
int ConvertKeyCodeToVirtualKey( int KeyCode)
{
  return dx_ConvertKeyCodeToVirtualKey( KeyCode );
}


extern(Windows) int dx_StartJoypadVibration( int InputType, int Power, int Time);
int StartJoypadVibration( int InputType, int Power, int Time)
{
  return dx_StartJoypadVibration( InputType , Power , Time );
}


extern(Windows) int dx_StopJoypadVibration( int InputType);
int StopJoypadVibration( int InputType)
{
  return dx_StopJoypadVibration( InputType );
}


extern(Windows) int dx_GetJoypadPOVState( int InputType, int POVNumber);
int GetJoypadPOVState( int InputType, int POVNumber)
{
  return dx_GetJoypadPOVState( InputType , POVNumber );
}


extern(Windows) int dx_GetJoypadName( int InputType, char* InstanceNameBuffer, char* ProductNameBuffer);
int GetJoypadName( int InputType, char* InstanceNameBuffer, char* ProductNameBuffer)
{
  return dx_GetJoypadName( InputType , InstanceNameBuffer , ProductNameBuffer );
}


extern(Windows) int dx_SetKeyboardNotDirectInputFlag( int Flag);
int SetKeyboardNotDirectInputFlag( int Flag)
{
  return dx_SetKeyboardNotDirectInputFlag( Flag );
}


extern(Windows) int dx_SetUseDirectInputFlag( int Flag);
int SetUseDirectInputFlag( int Flag)
{
  return dx_SetUseDirectInputFlag( Flag );
}


extern(Windows) int dx_Set2D3DKyouzonFlag( int Flag);
int Set2D3DKyouzonFlag( int Flag)
{
  return dx_Set2D3DKyouzonFlag( Flag );
}


extern(Windows) int dx_SetWaitVSyncFlag( int Flag);
int SetWaitVSyncFlag( int Flag)
{
  return dx_SetWaitVSyncFlag( Flag );
}


extern(Windows) int dx_SetNotUse3DFlag( int Flag);
int SetNotUse3DFlag( int Flag)
{
  return dx_SetNotUse3DFlag( Flag );
}


extern(Windows) int dx_SetBasicBlendFlag( int Flag);
int SetBasicBlendFlag( int Flag)
{
  return dx_SetBasicBlendFlag( Flag );
}


extern(Windows) int dx_SetScreenMemToVramFlag( int Flag);
int SetScreenMemToVramFlag( int Flag)
{
  return dx_SetScreenMemToVramFlag( Flag );
}


extern(Windows) int dx_SetUseSoftwareRenderModeFlag( int Flag);
int SetUseSoftwareRenderModeFlag( int Flag)
{
  return dx_SetUseSoftwareRenderModeFlag( Flag );
}


extern(Windows) int dx_SetUseDirectDrawFlag( int Flag);
int SetUseDirectDrawFlag( int Flag)
{
  return dx_SetUseDirectDrawFlag( Flag );
}


extern(Windows) int dx_SetUseGDIFlag( int Flag);
int SetUseGDIFlag( int Flag)
{
  return dx_SetUseGDIFlag( Flag );
}


extern(Windows) int dx_SetDisplayRefreshRate( int RefreshRate);
int SetDisplayRefreshRate( int RefreshRate)
{
  return dx_SetDisplayRefreshRate( RefreshRate );
}


extern(Windows) int dx_SetMultiThreadFlag( int Flag);
int SetMultiThreadFlag( int Flag)
{
  return dx_SetMultiThreadFlag( Flag );
}


extern(Windows) int dx_SetUseDirectDrawDeviceIndex( int Index);
int SetUseDirectDrawDeviceIndex( int Index)
{
  return dx_SetUseDirectDrawDeviceIndex( Index );
}


extern(Windows) int dx_SetUseTempFrontScreen( int Flag);
int SetUseTempFrontScreen( int Flag)
{
  return dx_SetUseTempFrontScreen( Flag );
}


extern(Windows) int dx_GetDrawScreenSize( out int XBuf, out int YBuf);
int GetDrawScreenSize( out int XBuf, out int YBuf)
{
  return dx_GetDrawScreenSize( XBuf , YBuf );
}


extern(Windows) int dx_GetScreenBitDepth( );
int GetScreenBitDepth( )
{
  return dx_GetScreenBitDepth( );
}


extern(Windows) int dx_GetWaitVSyncFlag( );
int GetWaitVSyncFlag( )
{
  return dx_GetWaitVSyncFlag( );
}


extern(Windows) int dx_GetBmpSurf3DRenderingValidState( int BmpIndex);
int GetBmpSurf3DRenderingValidState( int BmpIndex)
{
  return dx_GetBmpSurf3DRenderingValidState( BmpIndex );
}


extern(Windows) int dx_GetDesktopDrawCmp( );
int GetDesktopDrawCmp( )
{
  return dx_GetDesktopDrawCmp( );
}


extern(Windows) int dx_GetUseDirectDrawFlag( );
int GetUseDirectDrawFlag( )
{
  return dx_GetUseDirectDrawFlag( );
}


extern(Windows) int dx_GetColorBitDepth( );
int GetColorBitDepth( )
{
  return dx_GetColorBitDepth( );
}


extern(Windows) int dx_GetChangeDisplayFlag( );
int GetChangeDisplayFlag( )
{
  return dx_GetChangeDisplayFlag( );
}


extern(Windows) int dx_GetScreenMemToSystemMemFlag( );
int GetScreenMemToSystemMemFlag( )
{
  return dx_GetScreenMemToSystemMemFlag( );
}


extern(Windows) int dx_GetVideoMemorySize( out int AllSize, out int FreeSize);
int GetVideoMemorySize( out int AllSize, out int FreeSize)
{
  return dx_GetVideoMemorySize( AllSize , FreeSize );
}


extern(Windows) int dx_GetUseGDIFlag( );
int GetUseGDIFlag( )
{
  return dx_GetUseGDIFlag( );
}


extern(Windows) int dx_GetNotDraw3DFlag( );
int GetNotDraw3DFlag( )
{
  return dx_GetNotDraw3DFlag( );
}


extern(Windows) int dx_GetDirectDrawDeviceDescription( int Number, char* StringBuffer);
int GetDirectDrawDeviceDescription( int Number, char* StringBuffer)
{
  return dx_GetDirectDrawDeviceDescription( Number , StringBuffer );
}


extern(Windows) int dx_GetDirectDrawDeviceNum( );
int GetDirectDrawDeviceNum( )
{
  return dx_GetDirectDrawDeviceNum( );
}


extern(Windows) int dx_GetUseMEMIMGFlag( );
int GetUseMEMIMGFlag( )
{
  return dx_GetUseMEMIMGFlag( );
}


extern(Windows) int dx_GetVSyncTime( );
int GetVSyncTime( )
{
  return dx_GetVSyncTime( );
}


extern(Windows) int dx_GetRefreshRate( );
int GetRefreshRate( )
{
  return dx_GetRefreshRate( );
}


extern(Windows) int dx_SetPalette( int PalIndex, int Red, int Green, int Blue);
int SetPalette( int PalIndex, int Red, int Green, int Blue)
{
  return dx_SetPalette( PalIndex , Red , Green , Blue );
}


extern(Windows) int dx_ReflectionPalette( );
int ReflectionPalette( )
{
  return dx_ReflectionPalette( );
}


extern(Windows) int dx_GetPalette( int PalIndex, out int Red, out int Green, out int Blue);
int GetPalette( int PalIndex, out int Red, out int Green, out int Blue)
{
  return dx_GetPalette( PalIndex , Red , Green , Blue );
}


extern(Windows) int dx_SetBmpPal( const char* FileName);
int SetBmpPal( const char* FileName)
{
  return dx_SetBmpPal( FileName );
}


extern(Windows) int dx_SetBmpPalPart( const char* FileName, int StartNum, int GetNum, int SetNum);
int SetBmpPalPart( const char* FileName, int StartNum, int GetNum, int SetNum)
{
  return dx_SetBmpPalPart( FileName , StartNum , GetNum , SetNum );
}


extern(Windows) int dx_GetGraphPalette( int GrHandle, int ColorIndex, out int Red, out int Green, out int Blue);
int GetGraphPalette( int GrHandle, int ColorIndex, out int Red, out int Green, out int Blue)
{
  return dx_GetGraphPalette( GrHandle , ColorIndex , Red , Green , Blue );
}


extern(Windows) int dx_GetGraphOriginalPalette( int GrHandle, int ColorIndex, out int Red, out int Green, out int Blue);
int GetGraphOriginalPalette( int GrHandle, int ColorIndex, out int Red, out int Green, out int Blue)
{
  return dx_GetGraphOriginalPalette( GrHandle , ColorIndex , Red , Green , Blue );
}


extern(Windows) int dx_SetGraphPalette( int GrHandle, int ColorIndex, int Color);
int SetGraphPalette( int GrHandle, int ColorIndex, int Color)
{
  return dx_SetGraphPalette( GrHandle , ColorIndex , Color );
}


extern(Windows) int dx_ResetGraphPalette( int GrHandle);
int ResetGraphPalette( int GrHandle)
{
  return dx_ResetGraphPalette( GrHandle );
}


extern(Windows) int dx_GetColor( int Red, int Green, int Blue);
int GetColor( int Red, int Green, int Blue)
{
  return dx_GetColor( Red , Green , Blue );
}


extern(Windows) int dx_GetColor2( int Color, out int Red, out int Green, out int Blue);
int GetColor2( int Color, out int Red, out int Green, out int Blue)
{
  return dx_GetColor2( Color , Red , Green , Blue );
}


extern(Windows) int dx_GetPixel( int x, int y);
int GetPixel( int x, int y)
{
  return dx_GetPixel( x , y );
}


extern(Windows) int dx_Paint( int x, int y, int FillColor, int BoundaryColor);
int Paint( int x, int y, int FillColor)
{
  return dx_Paint( x , y , FillColor , -1 );
}
int Paint( int x, int y, int FillColor, int BoundaryColor)
{
  return dx_Paint( x , y , FillColor , BoundaryColor );
}


extern(Windows) int dx_WaitVSync( int SyncNum);
int WaitVSync( int SyncNum)
{
  return dx_WaitVSync( SyncNum );
}


extern(Windows) int dx_ScreenFlip( );
int ScreenFlip( )
{
  return dx_ScreenFlip( );
}


extern(Windows) int dx_ScreenCopy( );
int ScreenCopy( )
{
  return dx_ScreenCopy( );
}


extern(Windows) int dx_GraphCopy( out RECT SrcRect, out RECT DestRect, int SrcHandle, int DestHandle);
int GraphCopy( out RECT SrcRect, out RECT DestRect, int SrcHandle)
{
  return dx_GraphCopy( SrcRect , DestRect , SrcHandle , DX_SCREEN_BACK );
}
int GraphCopy( out RECT SrcRect, out RECT DestRect, int SrcHandle, int DestHandle)
{
  return dx_GraphCopy( SrcRect , DestRect , SrcHandle , DestHandle );
}


extern(Windows) int dx_SetGraphMode( int ScreenSizeX, int ScreenSizeY, int ColorBitDepth, int RefreshRate);
int SetGraphMode( int ScreenSizeX, int ScreenSizeY, int ColorBitDepth)
{
  return dx_SetGraphMode( ScreenSizeX , ScreenSizeY , ColorBitDepth , 60 );
}
int SetGraphMode( int ScreenSizeX, int ScreenSizeY, int ColorBitDepth, int RefreshRate)
{
  return dx_SetGraphMode( ScreenSizeX , ScreenSizeY , ColorBitDepth , RefreshRate );
}


extern(Windows) int dx_SaveDrawScreen( int x1, int y1, int x2, int y2, const char* FileName);
int SaveDrawScreen( int x1, int y1, int x2, int y2, const char* FileName)
{
  return dx_SaveDrawScreen( x1 , y1 , x2 , y2 , FileName );
}


extern(Windows) int dx_SetUseDivGraphFlag( int Flag);
int SetUseDivGraphFlag( int Flag)
{
  return dx_SetUseDivGraphFlag( Flag );
}


extern(Windows) int dx_SetUseMaxTextureSize( int Size);
int SetUseMaxTextureSize( int Size)
{
  return dx_SetUseMaxTextureSize( Size );
}


extern(Windows) int dx_SetUseVertexBufferFlag( int Flag);
int SetUseVertexBufferFlag( int Flag)
{
  return dx_SetUseVertexBufferFlag( Flag );
}


extern(Windows) int dx_RenderVertexBuffer( );
int RenderVertexBuffer( )
{
  return dx_RenderVertexBuffer( );
}


extern(Windows) void dx_Add4VertexBuffer( );
void Add4VertexBuffer( )
{
  dx_Add4VertexBuffer( );
}


extern(Windows) void dx_SetGraphTexture( int GrHandle);
void SetGraphTexture( int GrHandle)
{
  dx_SetGraphTexture( GrHandle );
}


extern(Windows) int dx_SetUseOldDrawModiGraphCodeFlag( int Flag);
int SetUseOldDrawModiGraphCodeFlag( int Flag)
{
  return dx_SetUseOldDrawModiGraphCodeFlag( Flag );
}


extern(Windows) int dx_GetTexFormatIndex( out IMAGEFORMATDESC Format);
int GetTexFormatIndex( out IMAGEFORMATDESC Format)
{
  return dx_GetTexFormatIndex( Format );
}


extern(Windows) int dx_MakeGraph( int SizeX, int SizeY, int NotUse3DFlag);
int MakeGraph( int SizeX, int SizeY)
{
  return dx_MakeGraph( SizeX , SizeY , FALSE );
}
int MakeGraph( int SizeX, int SizeY, int NotUse3DFlag)
{
  return dx_MakeGraph( SizeX , SizeY , NotUse3DFlag );
}


extern(Windows) int dx_MakeScreen( int SizeX, int SizeY);
int MakeScreen( int SizeX, int SizeY)
{
  return dx_MakeScreen( SizeX , SizeY );
}


extern(Windows) int dx_DeleteGraph( int GrHandle, int LogOutFlag);
int DeleteGraph( int GrHandle)
{
  return dx_DeleteGraph( GrHandle , FALSE );
}
int DeleteGraph( int GrHandle, int LogOutFlag)
{
  return dx_DeleteGraph( GrHandle , LogOutFlag );
}


extern(Windows) int dx_GetGraphNum( );
int GetGraphNum( )
{
  return dx_GetGraphNum( );
}


extern(Windows) int dx_SetGraphLostFlag( int GrHandle, out int LostFlag);
int SetGraphLostFlag( int GrHandle, out int LostFlag)
{
  return dx_SetGraphLostFlag( GrHandle , LostFlag );
}


extern(Windows) int dx_InitGraph( int LogOutFlag);
int InitGraph( )
{
  return dx_InitGraph( FALSE );
}
int InitGraph( int LogOutFlag)
{
  return dx_InitGraph( LogOutFlag );
}


extern(Windows) int dx_LoadBmpToGraph( const char* GraphName, int TextureFlag, int ReverseFlag, int SurfaceMode);
int LoadBmpToGraph( const char* GraphName, int TextureFlag, int ReverseFlag)
{
  return dx_LoadBmpToGraph( GraphName , TextureFlag , ReverseFlag , DX_MOVIESURFACE_NORMAL );
}
int LoadBmpToGraph( const char* GraphName, int TextureFlag, int ReverseFlag, int SurfaceMode)
{
  return dx_LoadBmpToGraph( GraphName , TextureFlag , ReverseFlag , SurfaceMode );
}


extern(Windows) int dx_LoadDivBmpToGraph( const char* FileName, int AllNum, int XNum, int YNum, int SizeX, int SizeY, out int HandleBuf, int TextureFlag, int ReverseFlag);
int LoadDivBmpToGraph( const char* FileName, int AllNum, int XNum, int YNum, int SizeX, int SizeY, out int HandleBuf, int TextureFlag, int ReverseFlag)
{
  return dx_LoadDivBmpToGraph( FileName , AllNum , XNum , YNum , SizeX , SizeY , HandleBuf , TextureFlag , ReverseFlag );
}


extern(Windows) int dx_LoadGraph( const char* FileName, int NotUse3DFlag);
int LoadGraph( const char* FileName)
{
  return dx_LoadGraph( FileName , FALSE );
}
int LoadGraph( const char* FileName, int NotUse3DFlag)
{
  return dx_LoadGraph( FileName , NotUse3DFlag );
}


extern(Windows) int dx_LoadDivGraphToResource( const char* ResourceName, const char* ResourceType, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf);
int LoadDivGraphToResource( const char* ResourceName, const char* ResourceType, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf)
{
  return dx_LoadDivGraphToResource( ResourceName , ResourceType , AllNum , XNum , YNum , XSize , YSize , HandleBuf );
}


extern(Windows) int dx_LoadBlendGraph( const char* FileName);
int LoadBlendGraph( const char* FileName)
{
  return dx_LoadBlendGraph( FileName );
}


extern(Windows) int dx_LoadReverseGraph( const char* FileName, int NotUse3DFlag);
int LoadReverseGraph( const char* FileName)
{
  return dx_LoadReverseGraph( FileName , FALSE );
}
int LoadReverseGraph( const char* FileName, int NotUse3DFlag)
{
  return dx_LoadReverseGraph( FileName , NotUse3DFlag );
}


extern(Windows) int dx_LoadDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf, int NotUse3DFlag);
int LoadDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf)
{
  return dx_LoadDivGraph( FileName , AllNum , XNum , YNum , XSize , YSize , HandleBuf , FALSE );
}
int LoadDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf, int NotUse3DFlag)
{
  return dx_LoadDivGraph( FileName , AllNum , XNum , YNum , XSize , YSize , HandleBuf , NotUse3DFlag );
}


extern(Windows) int dx_LoadReverseDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf, int NotUse3DFlag);
int LoadReverseDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf)
{
  return dx_LoadReverseDivGraph( FileName , AllNum , XNum , YNum , XSize , YSize , HandleBuf , FALSE );
}
int LoadReverseDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf, int NotUse3DFlag)
{
  return dx_LoadReverseDivGraph( FileName , AllNum , XNum , YNum , XSize , YSize , HandleBuf , NotUse3DFlag );
}


extern(Windows) int dx_OpenMovieToOverlay( const char* FileName);
int OpenMovieToOverlay( const char* FileName)
{
  return dx_OpenMovieToOverlay( FileName );
}


extern(Windows) int dx_UpdateMovieToOverlay( int x, int y, int ExRate, int ShowFlag, int MovieHandle);
int UpdateMovieToOverlay( int x, int y, int ExRate, int ShowFlag, int MovieHandle)
{
  return dx_UpdateMovieToOverlay( x , y , ExRate , ShowFlag , MovieHandle );
}


extern(Windows) int dx_CloseMovieToOverlay( int MovieHandle);
int CloseMovieToOverlay( int MovieHandle)
{
  return dx_CloseMovieToOverlay( MovieHandle );
}


extern(Windows) int dx_ReloadGraph( const char* FileName, int GrHandle, int ReverseFlag);
int ReloadGraph( const char* FileName, int GrHandle)
{
  return dx_ReloadGraph( FileName , GrHandle , FALSE );
}
int ReloadGraph( const char* FileName, int GrHandle, int ReverseFlag)
{
  return dx_ReloadGraph( FileName , GrHandle , ReverseFlag );
}


extern(Windows) int dx_ReloadDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf, int ReverseFlag);
int ReloadDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf)
{
  return dx_ReloadDivGraph( FileName , AllNum , XNum , YNum , XSize , YSize , HandleBuf , FALSE );
}
int ReloadDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf, int ReverseFlag)
{
  return dx_ReloadDivGraph( FileName , AllNum , XNum , YNum , XSize , YSize , HandleBuf , ReverseFlag );
}


extern(Windows) int dx_ReloadReverseGraph( const char* FileName, int GrHandle);
int ReloadReverseGraph( const char* FileName, int GrHandle)
{
  return dx_ReloadReverseGraph( FileName , GrHandle );
}


extern(Windows) int dx_ReloadReverseDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf);
int ReloadReverseDivGraph( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf)
{
  return dx_ReloadReverseDivGraph( FileName , AllNum , XNum , YNum , XSize , YSize , HandleBuf );
}


extern(Windows) int dx_ReloadFileGraphAll( );
int ReloadFileGraphAll( )
{
  return dx_ReloadFileGraphAll( );
}


extern(Windows) int dx_SetGraphTransColor( int GrHandle, int Red, int Green, int Blue);
int SetGraphTransColor( int GrHandle, int Red, int Green, int Blue)
{
  return dx_SetGraphTransColor( GrHandle , Red , Green , Blue );
}


extern(Windows) int dx_RestoreGraph( int GrHandle);
int RestoreGraph( int GrHandle)
{
  return dx_RestoreGraph( GrHandle );
}


extern(Windows) int dx_AllRestoreGraph( );
int AllRestoreGraph( )
{
  return dx_AllRestoreGraph( );
}


extern(Windows) int dx_ClearDrawScreen( );
int ClearDrawScreen( )
{
  return dx_ClearDrawScreen( );
}


extern(Windows) int dx_ClsDrawScreen( );
int ClsDrawScreen( )
{
  return dx_ClsDrawScreen( );
}


extern(Windows) int dx_LoadGraphScreen( int x, int y, const char* GraphName, int TransFlag);
int LoadGraphScreen( int x, int y, const char* GraphName, int TransFlag)
{
  return dx_LoadGraphScreen( x , y , GraphName , TransFlag );
}


extern(Windows) int dx_DrawGraph( int x, int y, int GrHandle, int TransFlag);
int DrawGraph( int x, int y, int GrHandle, int TransFlag)
{
  return dx_DrawGraph( x , y , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawGraphF( float xf, float yf, int GrHandle, int TransFlag);
int DrawGraphF( float xf, float yf, int GrHandle, int TransFlag)
{
  return dx_DrawGraphF( xf , yf , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawExtendGraph( int x1, int y1, int x2, int y2, int GrHandle, int TransFlag);
int DrawExtendGraph( int x1, int y1, int x2, int y2, int GrHandle, int TransFlag)
{
  return dx_DrawExtendGraph( x1 , y1 , x2 , y2 , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawExtendGraphF( float x1f, float y1f, float x2f, float y2, int GrHandle, int TransFlag);
int DrawExtendGraphF( float x1f, float y1f, float x2f, float y2, int GrHandle, int TransFlag)
{
  return dx_DrawExtendGraphF( x1f , y1f , x2f , y2 , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawRotaGraph( int x, int y, double ExRate, double Angle, int GrHandle, int TransFlag, int TurnFlag);
int DrawRotaGraph( int x, int y, double ExRate, double Angle, int GrHandle, int TransFlag)
{
  return dx_DrawRotaGraph( x , y , ExRate , Angle , GrHandle , TransFlag , FALSE );
}
int DrawRotaGraph( int x, int y, double ExRate, double Angle, int GrHandle, int TransFlag, int TurnFlag)
{
  return dx_DrawRotaGraph( x , y , ExRate , Angle , GrHandle , TransFlag , TurnFlag );
}


extern(Windows) int dx_DrawRotaGraphF( float xf, float yf, double ExRate, double Angle, int GrHandle, int TransFlag, int TurnFlag);
int DrawRotaGraphF( float xf, float yf, double ExRate, double Angle, int GrHandle, int TransFlag)
{
  return dx_DrawRotaGraphF( xf , yf , ExRate , Angle , GrHandle , TransFlag , FALSE );
}
int DrawRotaGraphF( float xf, float yf, double ExRate, double Angle, int GrHandle, int TransFlag, int TurnFlag)
{
  return dx_DrawRotaGraphF( xf , yf , ExRate , Angle , GrHandle , TransFlag , TurnFlag );
}


extern(Windows) int dx_DrawRotaGraph2( int x, int y, int cx, int cy, double ExtRate, double Angle, int GrHandle, int TransFlag, int TurnFlag);
int DrawRotaGraph2( int x, int y, int cx, int cy, double ExtRate, double Angle, int GrHandle, int TransFlag)
{
  return dx_DrawRotaGraph2( x , y , cx , cy , ExtRate , Angle , GrHandle , TransFlag , FALSE );
}
int DrawRotaGraph2( int x, int y, int cx, int cy, double ExtRate, double Angle, int GrHandle, int TransFlag, int TurnFlag)
{
  return dx_DrawRotaGraph2( x , y , cx , cy , ExtRate , Angle , GrHandle , TransFlag , TurnFlag );
}


extern(Windows) int dx_DrawRotaGraph2F( float xf, float yf, float cxf, float cyf, double ExtRate, double Angle, int GrHandle, int TransFlag, int TurnFlag);
int DrawRotaGraph2F( float xf, float yf, float cxf, float cyf, double ExtRate, double Angle, int GrHandle, int TransFlag)
{
  return dx_DrawRotaGraph2F( xf , yf , cxf , cyf , ExtRate , Angle , GrHandle , TransFlag , FALSE );
}
int DrawRotaGraph2F( float xf, float yf, float cxf, float cyf, double ExtRate, double Angle, int GrHandle, int TransFlag, int TurnFlag)
{
  return dx_DrawRotaGraph2F( xf , yf , cxf , cyf , ExtRate , Angle , GrHandle , TransFlag , TurnFlag );
}


extern(Windows) int dx_DrawModiGraph( int x1, int y1, int x2, int y2, int x3, int y3, int x4, int y4, int GrHandle, int TransFlag);
int DrawModiGraph( int x1, int y1, int x2, int y2, int x3, int y3, int x4, int y4, int GrHandle, int TransFlag)
{
  return dx_DrawModiGraph( x1 , y1 , x2 , y2 , x3 , y3 , x4 , y4 , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawModiGraphF( float x1, float y1, float x2, float y2, float x3, float y3, float x4, float y4, int GrHandle, int TransFlag);
int DrawModiGraphF( float x1, float y1, float x2, float y2, float x3, float y3, float x4, float y4, int GrHandle, int TransFlag)
{
  return dx_DrawModiGraphF( x1 , y1 , x2 , y2 , x3 , y3 , x4 , y4 , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawTurnGraph( int x, int y, int GrHandle, int TransFlag);
int DrawTurnGraph( int x, int y, int GrHandle, int TransFlag)
{
  return dx_DrawTurnGraph( x , y , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawTurnGraphF( float xf, float yf, int GrHandle, int TransFlag);
int DrawTurnGraphF( float xf, float yf, int GrHandle, int TransFlag)
{
  return dx_DrawTurnGraphF( xf , yf , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawTile( int x1, int y1, int x2, int y2, int Tx, int Ty, double ExtRate, double Angle, int GrHandle, int TransFlag);
int DrawTile( int x1, int y1, int x2, int y2, int Tx, int Ty, double ExtRate, double Angle, int GrHandle, int TransFlag)
{
  return dx_DrawTile( x1 , y1 , x2 , y2 , Tx , Ty , ExtRate , Angle , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawRectGraph( int DestX, int DestY, int SrcX, int SrcY, int Width, int Height, int GraphHandle, int TransFlag, int TurnFlag);
int DrawRectGraph( int DestX, int DestY, int SrcX, int SrcY, int Width, int Height, int GraphHandle, int TransFlag, int TurnFlag)
{
  return dx_DrawRectGraph( DestX , DestY , SrcX , SrcY , Width , Height , GraphHandle , TransFlag , TurnFlag );
}


extern(Windows) int dx_DrawRectExtendGraph( int DestX1, int DestY1, int DestX2, int DestY2, int SrcX, int SrcY, int SrcWidth, int SrcHeight, int GraphHandle, int TransFlag);
int DrawRectExtendGraph( int DestX1, int DestY1, int DestX2, int DestY2, int SrcX, int SrcY, int SrcWidth, int SrcHeight, int GraphHandle, int TransFlag)
{
  return dx_DrawRectExtendGraph( DestX1 , DestY1 , DestX2 , DestY2 , SrcX , SrcY , SrcWidth , SrcHeight , GraphHandle , TransFlag );
}


extern(Windows) int dx_DrawBlendGraph( int x, int y, int GrHandle, int TransFlag, int BlendGraph, int BorderParam, int BorderRange);
int DrawBlendGraph( int x, int y, int GrHandle, int TransFlag, int BlendGraph, int BorderParam, int BorderRange)
{
  return dx_DrawBlendGraph( x , y , GrHandle , TransFlag , BlendGraph , BorderParam , BorderRange );
}


extern(Windows) int dx_DrawRectRotaGraph( int X, int Y, int SrcX, int SrcY, int Width, int Height, double ExtRate, double Angle, int GraphHandle, int TransFlag, int TurnFlag);
int DrawRectRotaGraph( int X, int Y, int SrcX, int SrcY, int Width, int Height, double ExtRate, double Angle, int GraphHandle, int TransFlag, int TurnFlag)
{
  return dx_DrawRectRotaGraph( X , Y , SrcX , SrcY , Width , Height , ExtRate , Angle , GraphHandle , TransFlag , TurnFlag );
}


extern(Windows) int dx_DrawCircleGauge( int CenterX, int CenterY, double Percent, int GrHandle);
int DrawCircleGauge( int CenterX, int CenterY, double Percent, int GrHandle)
{
  return dx_DrawCircleGauge( CenterX , CenterY , Percent , GrHandle );
}


extern(Windows) int dx_DrawGraphToZBuffer( int X, int Y, int GrHandle, int WriteZMode);
int DrawGraphToZBuffer( int X, int Y, int GrHandle, int WriteZMode)
{
  return dx_DrawGraphToZBuffer( X , Y , GrHandle , WriteZMode );
}


extern(Windows) int dx_DrawTurnGraphToZBuffer( int x, int y, int GrHandle, int WriteZMode);
int DrawTurnGraphToZBuffer( int x, int y, int GrHandle, int WriteZMode)
{
  return dx_DrawTurnGraphToZBuffer( x , y , GrHandle , WriteZMode );
}


extern(Windows) int dx_DrawExtendGraphToZBuffer( int x1, int y1, int x2, int y2, int GrHandle, int WriteZMode);
int DrawExtendGraphToZBuffer( int x1, int y1, int x2, int y2, int GrHandle, int WriteZMode)
{
  return dx_DrawExtendGraphToZBuffer( x1 , y1 , x2 , y2 , GrHandle , WriteZMode );
}


extern(Windows) int dx_DrawRotaGraphToZBuffer( int x, int y, double ExRate, double Angle, int GrHandle, int WriteZMode, int TurnFlag);
int DrawRotaGraphToZBuffer( int x, int y, double ExRate, double Angle, int GrHandle, int WriteZMode)
{
  return dx_DrawRotaGraphToZBuffer( x , y , ExRate , Angle , GrHandle , WriteZMode , FALSE );
}
int DrawRotaGraphToZBuffer( int x, int y, double ExRate, double Angle, int GrHandle, int WriteZMode, int TurnFlag)
{
  return dx_DrawRotaGraphToZBuffer( x , y , ExRate , Angle , GrHandle , WriteZMode , TurnFlag );
}


extern(Windows) int dx_DrawModiGraphToZBuffer( int x1, int y1, int x2, int y2, int x3, int y3, int x4, int y4, int GrHandle, int WriteZMode);
int DrawModiGraphToZBuffer( int x1, int y1, int x2, int y2, int x3, int y3, int x4, int y4, int GrHandle, int WriteZMode)
{
  return dx_DrawModiGraphToZBuffer( x1 , y1 , x2 , y2 , x3 , y3 , x4 , y4 , GrHandle , WriteZMode );
}


extern(Windows) int dx_DrawBoxToZBuffer( int x1, int y1, int x2, int y2, int FillFlag, int WriteZMode);
int DrawBoxToZBuffer( int x1, int y1, int x2, int y2, int FillFlag, int WriteZMode)
{
  return dx_DrawBoxToZBuffer( x1 , y1 , x2 , y2 , FillFlag , WriteZMode );
}


extern(Windows) int dx_DrawCircleToZBuffer( int x, int y, int r, int FillFlag, int WriteZMode);
int DrawCircleToZBuffer( int x, int y, int r, int FillFlag, int WriteZMode)
{
  return dx_DrawCircleToZBuffer( x , y , r , FillFlag , WriteZMode );
}


extern(Windows) int dx_DrawPolygonBase( out VERTEX Vertex, int VertexNum, int PrimitiveType, int GrHandle, int TransFlag);
int DrawPolygonBase( out VERTEX Vertex, int VertexNum, int PrimitiveType, int GrHandle, int TransFlag)
{
  return dx_DrawPolygonBase( Vertex , VertexNum , PrimitiveType , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawPolygon( out VERTEX Vertex, int PolygonNum, int GrHandle, int TransFlag);
int DrawPolygon( out VERTEX Vertex, int PolygonNum, int GrHandle, int TransFlag)
{
  return dx_DrawPolygon( Vertex , PolygonNum , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawPolygon3DBase( out VERTEX_3D Vertex, int VertexNum, int PrimitiveType, int GrHandle, int TransFlag);
int DrawPolygon3DBase( out VERTEX_3D Vertex, int VertexNum, int PrimitiveType, int GrHandle, int TransFlag)
{
  return dx_DrawPolygon3DBase( Vertex , VertexNum , PrimitiveType , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawPolygon3D( out VERTEX_3D Vertex, int PolygonNum, int GrHandle, int TransFlag);
int DrawPolygon3D( out VERTEX_3D Vertex, int PolygonNum, int GrHandle, int TransFlag)
{
  return dx_DrawPolygon3D( Vertex , PolygonNum , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawGraph3D( float x, float y, float z, int GrHandle, int TransFlag);
int DrawGraph3D( float x, float y, float z, int GrHandle, int TransFlag)
{
  return dx_DrawGraph3D( x , y , z , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawExtendGraph3D( float x, float y, float z, double ExRateX, double ExRateY, int GrHandle, int TransFlag);
int DrawExtendGraph3D( float x, float y, float z, double ExRateX, double ExRateY, int GrHandle, int TransFlag)
{
  return dx_DrawExtendGraph3D( x , y , z , ExRateX , ExRateY , GrHandle , TransFlag );
}


extern(Windows) int dx_DrawRotaGraph3D( float x, float y, float z, double ExRate, double Angle, int GrHandle, int TransFlag, int TurnFlag);
int DrawRotaGraph3D( float x, float y, float z, double ExRate, double Angle, int GrHandle, int TransFlag)
{
  return dx_DrawRotaGraph3D( x , y , z , ExRate , Angle , GrHandle , TransFlag , FALSE );
}
int DrawRotaGraph3D( float x, float y, float z, double ExRate, double Angle, int GrHandle, int TransFlag, int TurnFlag)
{
  return dx_DrawRotaGraph3D( x , y , z , ExRate , Angle , GrHandle , TransFlag , TurnFlag );
}


extern(Windows) int dx_DrawRota2Graph3D( float x, float y, float z, float cx, float cy, double ExtRateX, double ExtRateY, double Angle, int GrHandle, int TransFlag, int TurnFlag);
int DrawRota2Graph3D( float x, float y, float z, float cx, float cy, double ExtRateX, double ExtRateY, double Angle, int GrHandle, int TransFlag)
{
  return dx_DrawRota2Graph3D( x , y , z , cx , cy , ExtRateX , ExtRateY , Angle , GrHandle , TransFlag , FALSE );
}
int DrawRota2Graph3D( float x, float y, float z, float cx, float cy, double ExtRateX, double ExtRateY, double Angle, int GrHandle, int TransFlag, int TurnFlag)
{
  return dx_DrawRota2Graph3D( x , y , z , cx , cy , ExtRateX , ExtRateY , Angle , GrHandle , TransFlag , TurnFlag );
}


extern(Windows) int dx_FillGraph( int GrHandle, int Red, int Green, int Blue, int Alpha);
int FillGraph( int GrHandle, int Red, int Green, int Blue)
{
  return dx_FillGraph( GrHandle , Red , Green , Blue , 255 );
}
int FillGraph( int GrHandle, int Red, int Green, int Blue, int Alpha)
{
  return dx_FillGraph( GrHandle , Red , Green , Blue , Alpha );
}


extern(Windows) int dx_DrawLine( int x1, int y1, int x2, int y2, int Color, int Thickness);
int DrawLine( int x1, int y1, int x2, int y2, int Color)
{
  return dx_DrawLine( x1 , y1 , x2 , y2 , Color , 1 );
}
int DrawLine( int x1, int y1, int x2, int y2, int Color, int Thickness)
{
  return dx_DrawLine( x1 , y1 , x2 , y2 , Color , Thickness );
}


extern(Windows) int dx_DrawBox( int x1, int y1, int x2, int y2, int Color, int FillFlag);
int DrawBox( int x1, int y1, int x2, int y2, int Color, int FillFlag)
{
  return dx_DrawBox( x1 , y1 , x2 , y2 , Color , FillFlag );
}


extern(Windows) int dx_DrawFillBox( int x1, int y1, int x2, int y2, int Color);
int DrawFillBox( int x1, int y1, int x2, int y2, int Color)
{
  return dx_DrawFillBox( x1 , y1 , x2 , y2 , Color );
}


extern(Windows) int dx_DrawLineBox( int x1, int y1, int x2, int y2, int Color);
int DrawLineBox( int x1, int y1, int x2, int y2, int Color)
{
  return dx_DrawLineBox( x1 , y1 , x2 , y2 , Color );
}


extern(Windows) int dx_DrawCircle( int x, int y, int r, int Color, int FillFlag);
int DrawCircle( int x, int y, int r, int Color)
{
  return dx_DrawCircle( x , y , r , Color , TRUE );
}
int DrawCircle( int x, int y, int r, int Color, int FillFlag)
{
  return dx_DrawCircle( x , y , r , Color , FillFlag );
}


extern(Windows) int dx_DrawOval( int x, int y, int rx, int ry, int Color, int FillFlag);
int DrawOval( int x, int y, int rx, int ry, int Color, int FillFlag)
{
  return dx_DrawOval( x , y , rx , ry , Color , FillFlag );
}


extern(Windows) int dx_DrawTriangle( int x1, int y1, int x2, int y2, int x3, int y3, int Color, int FillFlag);
int DrawTriangle( int x1, int y1, int x2, int y2, int x3, int y3, int Color, int FillFlag)
{
  return dx_DrawTriangle( x1 , y1 , x2 , y2 , x3 , y3 , Color , FillFlag );
}


extern(Windows) int dx_DrawPixel( int x, int y, int Color);
int DrawPixel( int x, int y, int Color)
{
  return dx_DrawPixel( x , y , Color );
}


extern(Windows) int dx_DrawPixelSet( out POINTDATA PointData, int Num);
int DrawPixelSet( out POINTDATA PointData, int Num)
{
  return dx_DrawPixelSet( PointData , Num );
}


extern(Windows) int dx_DrawLineSet( out LINEDATA LineData, int Num);
int DrawLineSet( out LINEDATA LineData, int Num)
{
  return dx_DrawLineSet( LineData , Num );
}


extern(Windows) int dx_DrawString( int x, int y, const char* String, int Color, int EdgeColor);
int DrawString( int x, int y, const char* String, int Color)
{
  return dx_DrawString( x , y , String , Color , 0 );
}
int DrawString( int x, int y, const char* String, int Color, int EdgeColor)
{
  return dx_DrawString( x , y , String , Color , EdgeColor );
}


extern(Windows) int dx_DrawVString( int x, int y, const char* String, int Color, int EdgeColor);
int DrawVString( int x, int y, const char* String, int Color)
{
  return dx_DrawVString( x , y , String, Color , 0 );
}
int DrawVString( int x, int y, const char* String, int Color, int EdgeColor)
{
  return dx_DrawVString( x , y , String , Color , EdgeColor );
}


extern(Windows) int dx_DrawStringToHandle( int x, int y, const char* String, int Color, int FontHandle, int EdgeColor, int VerticalFlag);
int DrawStringToHandle( int x, int y, const char* String, int Color, int FontHandle)
{
  return dx_DrawStringToHandle( x , y , String , Color , FontHandle , 0 , FALSE );
}
int DrawStringToHandle( int x, int y, const char* String, int Color, int FontHandle, int EdgeColor)
{
  return dx_DrawStringToHandle( x , y , String , Color , FontHandle , EdgeColor , FALSE );
}
int DrawStringToHandle( int x, int y, const char* String, int Color, int FontHandle, int EdgeColor, int VerticalFlag)
{
  return dx_DrawStringToHandle( x , y , String , Color , FontHandle , EdgeColor , VerticalFlag );
}


extern(Windows) int dx_DrawVStringToHandle( int x, int y, const char* String, int Color, int FontHandle, int EdgeColor);
int DrawVStringToHandle( int x, int y, const char* String, int Color, int FontHandle)
{
  return dx_DrawVStringToHandle( x , y , String , Color , FontHandle , 0 );
}
int DrawVStringToHandle( int x, int y, const char* String, int Color, int FontHandle, int EdgeColor)
{
  return dx_DrawVStringToHandle( x , y , String , Color , FontHandle , EdgeColor );
}


extern(Windows) int dx_DrawExtendString( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int EdgeColor);
int DrawExtendString( int x, int y, double ExRateX, double ExRateY, const char* String, int Color)
{
  return dx_DrawExtendString( x , y , ExRateX , ExRateY , String , Color , 0 );
}
int DrawExtendConstString( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int EdgeColor)
{
  return dx_DrawExtendString( x , y , ExRateX , ExRateY , String , Color , EdgeColor );
}


//extern(Windows) int dx_DrawExtendVString( int x, int Color, int EdgeColor);
extern(Windows) int dx_DrawExtendVString( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int EdgeColor);

int DrawExtendVString( int x, int y, double ExRateX, double ExRateY, const char* String, int Color)
{
  return dx_DrawExtendVString( x , y , ExRateX , ExRateY , String , Color , 0 );
}
int DrawExtendVString( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int EdgeColor)
{
  return dx_DrawExtendVString( x , y , ExRateX , ExRateY , String , Color , EdgeColor );
}


extern(Windows) int dx_DrawExtendStringToHandle( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int FontHandle, int EdgeColor, int VerticalFlag);
int DrawExtendStringToHandle( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int FontHandle)
{
  return dx_DrawExtendStringToHandle( x , y , ExRateX , ExRateY , String , Color , FontHandle , 0 , FALSE );
}
int DrawExtendStringToHandle( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int FontHandle, int EdgeColor)
{
  return dx_DrawExtendStringToHandle( x , y , ExRateX , ExRateY , String , Color , FontHandle , EdgeColor , FALSE );
}
int DrawExtendStringToHandle( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int FontHandle, int EdgeColor, int VerticalFlag)
{
  return dx_DrawExtendStringToHandle( x , y , ExRateX , ExRateY , String , Color , FontHandle , EdgeColor , VerticalFlag );
}


extern(Windows) int dx_DrawExtendVStringToHandle( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int FontHandle, int EdgeColor);
int DrawExtendVStringToHandle( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int FontHandle)
{
  return dx_DrawExtendVStringToHandle( x , y , ExRateX , ExRateY , String , Color , FontHandle , 0 );
}
int DrawExtendVStringToHandle( int x, int y, double ExRateX, double ExRateY, const char* String, int Color, int FontHandle, int EdgeColor)
{
  return dx_DrawExtendVStringToHandle( x , y , ExRateX , ExRateY , String , Color , FontHandle , EdgeColor );
}


extern(Windows) int dx_DrawNumberToI( int x, int y, int Num, int RisesNum, int Color, int EdgeColor);
int DrawNumberToI( int x, int y, int Num, int RisesNum, int Color)
{
  return dx_DrawNumberToI( x , y , Num , RisesNum , Color , 0 );
}
int DrawNumberToI( int x, int y, int Num, int RisesNum, int Color, int EdgeColor)
{
  return dx_DrawNumberToI( x , y , Num , RisesNum , Color , EdgeColor );
}


extern(Windows) int dx_DrawNumberToF( int x, int y, double Num, int Length, int Color, int EdgeColor);
int DrawNumberToF( int x, int y, double Num, int Length, int Color)
{
  return dx_DrawNumberToF( x , y , Num , Length , Color , 0 );
}
int DrawNumberToF( int x, int y, double Num, int Length, int Color, int EdgeColor)
{
  return dx_DrawNumberToF( x , y , Num , Length , Color , EdgeColor );
}


extern(Windows) int dx_DrawNumberPlusToI( int x, int y, const char* NoteString, int Num, int RisesNum, int Color, int EdgeColor);
int DrawNumberPlusToI( int x, int y, const char* NoteString, int Num, int RisesNum, int Color)
{
  return dx_DrawNumberPlusToI( x , y , NoteString , Num , RisesNum , Color , 0 );
}
int DrawNumberPlusToI( int x, int y, const char* NoteString, int Num, int RisesNum, int Color, int EdgeColor)
{
  return dx_DrawNumberPlusToI( x , y , NoteString , Num , RisesNum , Color , EdgeColor );
}


extern(Windows) int dx_DrawNumberPlusToF( int x, int y, const char* NoteString, double Num, int Length, int Color, int EdgeColor);
int DrawNumberPlusToF( int x, int y, const char* NoteString, double Num, int Length, int Color)
{
  return dx_DrawNumberPlusToF( x , y , NoteString , Num , Length , Color , 0 );
}
int DrawNumberPlusToF( int x, int y, const char* NoteString, double Num, int Length, int Color, int EdgeColor)
{
  return dx_DrawNumberPlusToF( x , y , NoteString , Num , Length , Color , EdgeColor );
}


extern(Windows) int dx_DrawNumberToIToHandle( int x, int y, int Num, int RisesNum, int Color, int FontHandle, int EdgeColor);
int DrawNumberToIToHandle( int x, int y, int Num, int RisesNum, int Color, int FontHandle)
{
  return dx_DrawNumberToIToHandle( x , y , Num , RisesNum , Color , FontHandle , 0 );
}
int DrawNumberToIToHandle( int x, int y, int Num, int RisesNum, int Color, int FontHandle, int EdgeColor)
{
  return dx_DrawNumberToIToHandle( x , y , Num , RisesNum , Color , FontHandle , EdgeColor );
}


extern(Windows) int dx_DrawNumberToFToHandle( int x, int y, double Num, int Length, int Color, int FontHandle, int EdgeColor);
int DrawNumberToFToHandle( int x, int y, double Num, int Length, int Color, int FontHandle)
{
  return dx_DrawNumberToFToHandle( x , y , Num , Length , Color , FontHandle , 0 );
}
int DrawNumberToFToHandle( int x, int y, double Num, int Length, int Color, int FontHandle, int EdgeColor)
{
  return dx_DrawNumberToFToHandle( x , y , Num , Length , Color , FontHandle , EdgeColor );
}


extern(Windows) int dx_DrawNumberPlusToIToHandle( int x, int y, const char* NoteString, int Num, int RisesNum, int Color, int FontHandle, int EdgeColor);
int DrawNumberPlusToIToHandle( int x, int y, const char* NoteString, int Num, int RisesNum, int Color, int FontHandle)
{
  return dx_DrawNumberPlusToIToHandle( x , y , NoteString , Num , RisesNum , Color , FontHandle , 0 );
}
int DrawNumberPlusToIToHandle( int x, int y, const char* NoteString, int Num, int RisesNum, int Color, int FontHandle, int EdgeColor)
{
  return dx_DrawNumberPlusToIToHandle( x , y , NoteString , Num , RisesNum , Color , FontHandle , EdgeColor );
}


extern(Windows) int dx_DrawNumberPlusToFToHandle( int x, int y, const char* NoteString, double Num, int Length, int Color, int FontHandle, int EdgeColor);
int DrawNumberPlusToFToHandle( int x, int y, const char* NoteString, double Num, int Length, int Color, int FontHandle)
{
  return dx_DrawNumberPlusToFToHandle( x , y , NoteString , Num , Length , Color , FontHandle , 0 );
}
int DrawNumberPlusToFToHandle( int x, int y, const char* NoteString, double Num, int Length, int Color, int FontHandle, int EdgeColor)
{
  return dx_DrawNumberPlusToFToHandle( x , y , NoteString , Num , Length , Color , FontHandle , EdgeColor );
}


extern(Windows) int dx_SetDrawMode( int DrawMode);
int SetDrawMode( int DrawMode)
{
  return dx_SetDrawMode( DrawMode );
}


extern(Windows) int dx_SetDrawBlendMode( int BlendMode, int BlendParam);
int SetDrawBlendMode( int BlendMode, int BlendParam)
{
  return dx_SetDrawBlendMode( BlendMode , BlendParam );
}


extern(Windows) int dx_SetBlendGraph( int BlendGraph, int BorderParam, int BorderRange);
int SetBlendGraph( int BlendGraph, int BorderParam, int BorderRange)
{
  return dx_SetBlendGraph( BlendGraph , BorderParam , BorderRange );
}


extern(Windows) int dx_SetDrawBright( int RedBright, int GreenBright, int BlueBright);
int SetDrawBright( int RedBright, int GreenBright, int BlueBright)
{
  return dx_SetDrawBright( RedBright , GreenBright , BlueBright );
}


extern(Windows) int dx_SetDrawScreen( int DrawScreen);
int SetDrawScreen( int DrawScreen)
{
  return dx_SetDrawScreen( DrawScreen );
}


extern(Windows) int dx_SetDrawArea( int x1, int y1, int x2, int y2);
int SetDrawArea( int x1, int y1, int x2, int y2)
{
  return dx_SetDrawArea( x1 , y1 , x2 , y2 );
}


extern(Windows) int dx_SetUse3DFlag( int Flag);
int SetUse3DFlag( int Flag)
{
  return dx_SetUse3DFlag( Flag );
}


extern(Windows) int dx_SetTransColor( int Red, int Green, int Blue);
int SetTransColor( int Red, int Green, int Blue)
{
  return dx_SetTransColor( Red , Green , Blue );
}


extern(Windows) int dx_RunRestoreShred( );
int RunRestoreShred( )
{
  return dx_RunRestoreShred( );
}


extern(Windows) int dx_SetUseZBufferFlag( int Flag);
int SetUseZBufferFlag( int Flag)
{
  return dx_SetUseZBufferFlag( Flag );
}


extern(Windows) int dx_SetWriteZBufferFlag( int Flag);
int SetWriteZBufferFlag( int Flag)
{
  return dx_SetWriteZBufferFlag( Flag );
}


extern(Windows) int dx_SetZBufferCmpType( int CmpType);
int SetZBufferCmpType( int CmpType)
{
  return dx_SetZBufferCmpType( CmpType );
}


extern(Windows) int dx_SetUseCullingFlag( int Flag);
int SetUseCullingFlag( int Flag)
{
  return dx_SetUseCullingFlag( Flag );
}


extern(Windows) int dx_SetDefTransformMatrix( );
int SetDefTransformMatrix( )
{
  return dx_SetDefTransformMatrix( );
}


extern(Windows) int dx_SetLeftUpColorIsTransColorFlag( int Flag);
int SetLeftUpColorIsTransColorFlag( int Flag)
{
  return dx_SetLeftUpColorIsTransColorFlag( Flag );
}


extern(Windows) int dx_SetUseAlphaChannelGraphCreateFlag( int Flag);
int SetUseAlphaChannelGraphCreateFlag( int Flag)
{
  return dx_SetUseAlphaChannelGraphCreateFlag( Flag );
}


extern(Windows) int dx_SetUseGraphAlphaChannel( int Flag);
int SetUseGraphAlphaChannel( int Flag)
{
  return dx_SetUseGraphAlphaChannel( Flag );
}


extern(Windows) int dx_SetUseAlphaTestGraphCreateFlag( int Flag);
int SetUseAlphaTestGraphCreateFlag( int Flag)
{
  return dx_SetUseAlphaTestGraphCreateFlag( Flag );
}


extern(Windows) int dx_SetUseAlphaTestFlag( int Flag);
int SetUseAlphaTestFlag( int Flag)
{
  return dx_SetUseAlphaTestFlag( Flag );
}


extern(Windows) int dx_SetDrawValidGraphCreateFlag( int Flag);
int SetDrawValidGraphCreateFlag( int Flag)
{
  return dx_SetDrawValidGraphCreateFlag( Flag );
}


extern(Windows) int dx_SetDrawValidFlagOf3DGraph( int Flag);
int SetDrawValidFlagOf3DGraph( int Flag)
{
  return dx_SetDrawValidFlagOf3DGraph( Flag );
}


extern(Windows) int dx_SetDrawValidAlphaChannelGraphCreateFlag( int Flag);
int SetDrawValidAlphaChannelGraphCreateFlag( int Flag)
{
  return dx_SetDrawValidAlphaChannelGraphCreateFlag( Flag );
}


extern(Windows) int dx_SetUseNoBlendModeParam( int Flag);
int SetUseNoBlendModeParam( int Flag)
{
  return dx_SetUseNoBlendModeParam( Flag );
}


extern(Windows) int dx_SetUseSystemMemGraphCreateFlag( int Flag);
int SetUseSystemMemGraphCreateFlag( int Flag)
{
  return dx_SetUseSystemMemGraphCreateFlag( Flag );
}


extern(Windows) int dx_SetUseBlendGraphCreateFlag( int Flag);
int SetUseBlendGraphCreateFlag( int Flag)
{
  return dx_SetUseBlendGraphCreateFlag( Flag );
}


extern(Windows) int dx_SetUseVramFlag( int Flag);
int SetUseVramFlag( int Flag)
{
  return dx_SetUseVramFlag( Flag );
}


extern(Windows) int dx_SetMovieRightImageAlphaFlag( int Flag);
int SetMovieRightImageAlphaFlag( int Flag)
{
  return dx_SetMovieRightImageAlphaFlag( Flag );
}


extern(Windows) int dx_SetCreateGraphColorBitDepth( int BitDepth);
int SetCreateGraphColorBitDepth( int BitDepth)
{
  return dx_SetCreateGraphColorBitDepth( BitDepth );
}


extern(Windows) int dx_SetGraphColorBitDepth( int ColorBitDepth);
int SetGraphColorBitDepth( int ColorBitDepth)
{
  return dx_SetGraphColorBitDepth( ColorBitDepth );
}


extern(Windows) int dx_SetGraphDataShavedMode( int ShavedMode);
int SetGraphDataShavedMode( int ShavedMode)
{
  return dx_SetGraphDataShavedMode( ShavedMode );
}


extern(Windows) int dx_RestoreGraphSystem( );
int RestoreGraphSystem( )
{
  return dx_RestoreGraphSystem( );
}


extern(Windows) int dx_SetUseBasicGraphDraw3DDeviceMethodFlag( int Flag);
int SetUseBasicGraphDraw3DDeviceMethodFlag( int Flag)
{
  return dx_SetUseBasicGraphDraw3DDeviceMethodFlag( Flag );
}


extern(Windows) int dx_SetWindowDrawRect( out RECT DrawRect);
int SetWindowDrawRect( out RECT DrawRect)
{
  return dx_SetWindowDrawRect( DrawRect );
}


extern(Windows) int dx_SetDrawZ( float Z);
int SetDrawZ( float Z)
{
  return dx_SetDrawZ( Z );
}


extern(Windows) int dx_SetUseTransColor( int Flag);
int SetUseTransColor( int Flag)
{
  return dx_SetUseTransColor( Flag );
}


extern(Windows) int dx_GetTransColor( out int Red, out int Green, out int Blue);
int GetTransColor( out int Red, out int Green, out int Blue)
{
  return dx_GetTransColor( Red , Green , Blue );
}


extern(Windows) int dx_GetDrawScreenGraph( int x1, int y1, int x2, int y2, int GrHandle, int UseClientFlag);
int GetDrawScreenGraph( int x1, int y1, int x2, int y2, int GrHandle)
{
  return dx_GetDrawScreenGraph( x1 , y1 , x2 , y2 , GrHandle , TRUE );
}
int GetDrawScreenGraph( int x1, int y1, int x2, int y2, int GrHandle, int UseClientFlag)
{
  return dx_GetDrawScreenGraph( x1 , y1 , x2 , y2 , GrHandle , UseClientFlag );
}


extern(Windows) int dx_GraphUnLock( int GrHandle);
int GraphUnLock( int GrHandle)
{
  return dx_GraphUnLock( GrHandle );
}


extern(Windows) int dx_SetUseGraphZBuffer( int GrHandle, int UseFlag);
int SetUseGraphZBuffer( int GrHandle, int UseFlag)
{
  return dx_SetUseGraphZBuffer( GrHandle , UseFlag );
}


extern(Windows) int dx_GetGraphSize( int GrHandle, out int SizeXBuf, out int SizeYBuf);
int GetGraphSize( int GrHandle, out int SizeXBuf, out int SizeYBuf)
{
  return dx_GetGraphSize( GrHandle , SizeXBuf , SizeYBuf );
}


extern(Windows) int dx_GetScreenState( out int SizeX, out int SizeY, out int ColorBitDepth);
int GetScreenState( out int SizeX, out int SizeY, out int ColorBitDepth)
{
  return dx_GetScreenState( SizeX , SizeY , ColorBitDepth );
}


extern(Windows) int dx_GetActiveGraph( );
int GetActiveGraph( )
{
  return dx_GetActiveGraph( );
}


extern(Windows) int dx_GetDrawArea( out RECT Rect);
int GetDrawArea( out RECT Rect)
{
  return dx_GetDrawArea( Rect );
}


extern(Windows) int dx_GetUse3DFlag( );
int GetUse3DFlag( )
{
  return dx_GetUse3DFlag( );
}


extern(Windows) int dx_GetValidRestoreShredPoint( );
int GetValidRestoreShredPoint( )
{
  return dx_GetValidRestoreShredPoint( );
}


extern(Windows) int dx_GetFontSize( );
int GetFontSize( )
{
  return dx_GetFontSize( );
}


extern(Windows) int dx_GetFontSizeToHandle( int FontHandle);
int GetFontSizeToHandle( int FontHandle)
{
  return dx_GetFontSizeToHandle( FontHandle );
}


extern(Windows) int dx_GetTransformPosition( out VECTOR LocalPos, out float x, out float y);
int GetTransformPosition( out VECTOR LocalPos, out float x, out float y)
{
  return dx_GetTransformPosition( LocalPos , x , y );
}


extern(Windows) int dx_SetUseFastLoadFlag( int Flag);
int SetUseFastLoadFlag( int Flag)
{
  return dx_SetUseFastLoadFlag( Flag );
}


extern(Windows) int dx_GetDrawBlendMode( out int BlendMode, out int BlendParam);
int GetDrawBlendMode( out int BlendMode, out int BlendParam)
{
  return dx_GetDrawBlendMode( BlendMode , BlendParam );
}


extern(Windows) int dx_GetDrawMode( );
int GetDrawMode( )
{
  return dx_GetDrawMode( );
}


extern(Windows) int dx_GetDrawBright( out int Red, out int Green, out int Blue);
int GetDrawBright( out int Red, out int Green, out int Blue)
{
  return dx_GetDrawBright( Red , Green , Blue );
}


extern(Windows) int dx_GetCreateGraphColorBitDepth( );
int GetCreateGraphColorBitDepth( )
{
  return dx_GetCreateGraphColorBitDepth( );
}


extern(Windows) int dx_GetGraphColorBitDepth( );
int GetGraphColorBitDepth( )
{
  return dx_GetGraphColorBitDepth( );
}


extern(Windows) int dx_GetGraphDataShavedMode( );
int GetGraphDataShavedMode( )
{
  return dx_GetGraphDataShavedMode( );
}


extern(Windows) int dx_GetUseSystemMemGraphCreateFlag( );
int GetUseSystemMemGraphCreateFlag( )
{
  return dx_GetUseSystemMemGraphCreateFlag( );
}


extern(Windows) int dx_GetUseBlendGraphCreateFlag( );
int GetUseBlendGraphCreateFlag( )
{
  return dx_GetUseBlendGraphCreateFlag( );
}


extern(Windows) int dx_GetUseVramFlag( );
int GetUseVramFlag( )
{
  return dx_GetUseVramFlag( );
}


extern(Windows) int dx_GetUseAlphaTestGraphCreateFlag( );
int GetUseAlphaTestGraphCreateFlag( )
{
  return dx_GetUseAlphaTestGraphCreateFlag( );
}


extern(Windows) int dx_GetUseAlphaTestFlag( );
int GetUseAlphaTestFlag( )
{
  return dx_GetUseAlphaTestFlag( );
}


extern(Windows) int dx_GetUseAlphaChannelGraphCreateFlag( );
int GetUseAlphaChannelGraphCreateFlag( )
{
  return dx_GetUseAlphaChannelGraphCreateFlag( );
}


extern(Windows) int dx_GetUseGraphAlphaChannel( );
int GetUseGraphAlphaChannel( )
{
  return dx_GetUseGraphAlphaChannel( );
}


extern(Windows) int dx_GetDrawValidGraphCreateFlag( );
int GetDrawValidGraphCreateFlag( )
{
  return dx_GetDrawValidGraphCreateFlag( );
}


extern(Windows) int dx_VectorNormalize( out VECTOR Out, out VECTOR In);
int VectorNormalize( out VECTOR Out, out VECTOR In)
{
  return dx_VectorNormalize( Out , In );
}


extern(Windows) int dx_VectorScale( out VECTOR Out, out VECTOR In, float Scale);
int VectorScale( out VECTOR Out, out VECTOR In, float Scale)
{
  return dx_VectorScale( Out , In , Scale );
}


extern(Windows) int dx_VectorMultiply( out VECTOR Out, out VECTOR In1, out VECTOR In2);
int VectorMultiply( out VECTOR Out, out VECTOR In1, out VECTOR In2)
{
  return dx_VectorMultiply( Out , In1 , In2 );
}


extern(Windows) int dx_VectorSub( out VECTOR Out, out VECTOR In1, out VECTOR In2);
int VectorSub( out VECTOR Out, out VECTOR In1, out VECTOR In2)
{
  return dx_VectorSub( Out , In1 , In2 );
}


extern(Windows) int dx_VectorAdd( out VECTOR Out, out VECTOR In1, out VECTOR In2);
int VectorAdd( out VECTOR Out, out VECTOR In1, out VECTOR In2)
{
  return dx_VectorAdd( Out , In1 , In2 );
}


extern(Windows) int dx_VectorOuterProduct( out VECTOR Out, out VECTOR In1, out VECTOR In2);
int VectorOuterProduct( out VECTOR Out, out VECTOR In1, out VECTOR In2)
{
  return dx_VectorOuterProduct( Out , In1 , In2 );
}


extern(Windows) int dx_VectorRotationX( out VECTOR Out, out VECTOR In, double Angle);
int VectorRotationX( out VECTOR Out, out VECTOR In, double Angle)
{
  return dx_VectorRotationX( Out , In , Angle );
}


extern(Windows) int dx_VectorRotationY( out VECTOR Out, out VECTOR In, double Angle);
int VectorRotationY( out VECTOR Out, out VECTOR In, double Angle)
{
  return dx_VectorRotationY( Out , In , Angle );
}


extern(Windows) int dx_VectorRotationZ( out VECTOR Out, out VECTOR In, double Angle);
int VectorRotationZ( out VECTOR Out, out VECTOR In, double Angle)
{
  return dx_VectorRotationZ( Out , In , Angle );
}


extern(Windows) int dx_RectClipping( out RECT MotoRect, out RECT ClippuRect);
int RectClipping( out RECT MotoRect, out RECT ClippuRect)
{
  return dx_RectClipping( MotoRect , ClippuRect );
}


extern(Windows) int dx_EnumFontName( char* NameBuffer, int NameBufferNum, int JapanOnlyFlag);
int EnumFontName( char* NameBuffer, int NameBufferNum)
{
  return dx_EnumFontName( NameBuffer , NameBufferNum , TRUE );
}
int EnumFontName( char* NameBuffer, int NameBufferNum, int JapanOnlyFlag)
{
  return dx_EnumFontName( NameBuffer , NameBufferNum , JapanOnlyFlag );
}


extern(Windows) int dx_InitFontToHandle( );
int InitFontToHandle( )
{
  return dx_InitFontToHandle( );
}


extern(Windows) int dx_CreateFontToHandle( const char* FontName, int Size, int Thick, int FontType, int CharSet, int EdgeSize, int Italic, int DataIndex, int ID);
int CreateFontToHandle( const char* FontName, int Size, int Thick)
{
  return dx_CreateFontToHandle( FontName , Size , Thick , -1 , -1 , -1 , FALSE , -1 , -1 );
}
int CreateFontToHandle( const char* FontName, int Size, int Thick, int FontType)
{
  return dx_CreateFontToHandle( FontName , Size , Thick , FontType , -1 , -1 , FALSE , -1 , -1 );
}
int CreateFontToHandle( const char* FontName, int Size, int Thick, int FontType, int CharSet)
{
  return dx_CreateFontToHandle( FontName , Size , Thick , FontType , CharSet , -1 , FALSE , -1 , -1 );
}
int CreateFontToHandle( const char* FontName, int Size, int Thick, int FontType, int CharSet, int EdgeSize)
{
  return dx_CreateFontToHandle( FontName , Size , Thick , FontType , CharSet , EdgeSize , FALSE , -1 , -1 );
}
int CreateFontToHandle( const char* FontName, int Size, int Thick, int FontType, int CharSet, int EdgeSize, int Italic)
{
  return dx_CreateFontToHandle( FontName , Size , Thick , FontType , CharSet , EdgeSize , Italic , -1 , -1 );
}
int CreateFontToHandle( const char* FontName, int Size, int Thick, int FontType, int CharSet, int EdgeSize, int Italic, int DataIndex)
{
  return dx_CreateFontToHandle( FontName , Size , Thick , FontType , CharSet , EdgeSize , Italic , DataIndex , -1 );
}
int CreateFontToHandle( const char* FontName, int Size, int Thick, int FontType, int CharSet, int EdgeSize, int Italic, int DataIndex, int ID)
{
  return dx_CreateFontToHandle( FontName , Size , Thick , FontType , CharSet , EdgeSize , Italic , DataIndex , ID );
}


extern(Windows) int dx_SetFontSpaceToHandle( int Point, int FontHandle);
int SetFontSpaceToHandle( int Point, int FontHandle)
{
  return dx_SetFontSpaceToHandle( Point , FontHandle );
}


extern(Windows) int dx_SetDefaultFontState( const char* FontName, int Size, int Thick);
int SetDefaultFontState( const char* FontName, int Size, int Thick)
{
  return dx_SetDefaultFontState( FontName , Size , Thick );
}


extern(Windows) int dx_DeleteFontToHandle( int FontHandle);
int DeleteFontToHandle( int FontHandle)
{
  return dx_DeleteFontToHandle( FontHandle );
}


extern(Windows) int dx_SetFontLostFlag( int FontHandle, out int LostFlag);
int SetFontLostFlag( int FontHandle, out int LostFlag)
{
  return dx_SetFontLostFlag( FontHandle , LostFlag );
}


extern(Windows) int dx_SetFontSize( int FontSize);
int SetFontSize( int FontSize)
{
  return dx_SetFontSize( FontSize );
}


extern(Windows) int dx_SetFontThickness( int ThickPal);
int SetFontThickness( int ThickPal)
{
  return dx_SetFontThickness( ThickPal );
}


extern(Windows) int dx_SetFontSpace( int Point);
int SetFontSpace( int Point)
{
  return dx_SetFontSpace( Point );
}


extern(Windows) int dx_SetFontCacheToTextureFlag( int Flag);
int SetFontCacheToTextureFlag( int Flag)
{
  return dx_SetFontCacheToTextureFlag( Flag );
}


extern(Windows) int dx_SetFontChacheToTextureFlag( int Flag);
int SetFontChacheToTextureFlag( int Flag)
{
  return dx_SetFontChacheToTextureFlag( Flag );
}


extern(Windows) int dx_SetFontCacheCharNum( int CharNum);
int SetFontCacheCharNum( int CharNum)
{
  return dx_SetFontCacheCharNum( CharNum );
}


extern(Windows) int dx_ChangeFont( const char* FontName, int CharSet);
int ChangeFont( const char* FontName)
{
  return dx_ChangeFont( FontName , -1 );
}
int ChangeFont( const char* FontName, int CharSet)
{
  return dx_ChangeFont( FontName , CharSet );
}


extern(Windows) int dx_ChangeFontType( int FontType);
int ChangeFontType( int FontType)
{
  return dx_ChangeFontType( FontType );
}


extern(Windows) int dx_GetFontMaxWidth( );
int GetFontMaxWidth( )
{
  return dx_GetFontMaxWidth( );
}


extern(Windows) int dx_GetFontMaxWidthToHandle( int FontHandle);
int GetFontMaxWidthToHandle( int FontHandle)
{
  return dx_GetFontMaxWidthToHandle( FontHandle );
}


extern(Windows) int dx_GetDrawStringWidth( const char* String, int StrLen, int VerticalFlag);
int GetDrawStringWidth( const char* String, int StrLen)
{
  return dx_GetDrawStringWidth( String , StrLen , FALSE );
}
int GetDrawStringWidth( const char* String, int StrLen, int VerticalFlag)
{
  return dx_GetDrawStringWidth( String , StrLen , VerticalFlag );
}


extern(Windows) int dx_GetDrawStringWidthToHandle( const char* String, int StrLen, int FontHandle, int VerticalFlag);
int GetDrawStringWidthToHandle( const char* String, int StrLen, int FontHandle)
{
  return dx_GetDrawStringWidthToHandle( String , StrLen , FontHandle , FALSE );
}
int GetDrawStringWidthToHandle( const char* String, int StrLen, int FontHandle, int VerticalFlag)
{
  return dx_GetDrawStringWidthToHandle( String , StrLen , FontHandle , VerticalFlag );
}


extern(Windows) int dx_GetDrawExtendStringWidth( double ExRateX, const char* String, int StrLen, int VerticalFlag);
int GetDrawExtendStringWidth( double ExRateX, const char* String, int StrLen)
{
  return dx_GetDrawExtendStringWidth( ExRateX , String , StrLen , FALSE );
}
int GetDrawExtendStringWidth( double ExRateX, const char* String, int StrLen, int VerticalFlag)
{
  return dx_GetDrawExtendStringWidth( ExRateX , String , StrLen , VerticalFlag );
}


extern(Windows) int dx_GetDrawExtendStringWidthToHandle( double ExRateX, const char* String, int StrLen, int FontHandle, int VerticalFlag);
int GetDrawExtendStringWidthToHandle( double ExRateX, const char* String, int StrLen, int FontHandle)
{
  return dx_GetDrawExtendStringWidthToHandle( ExRateX , String , StrLen , FontHandle , FALSE );
}
int GetDrawExtendStringWidthToHandle( double ExRateX, const char* String, int StrLen, int FontHandle, int VerticalFlag)
{
  return dx_GetDrawExtendStringWidthToHandle( ExRateX , String , StrLen , FontHandle , VerticalFlag );
}


extern(Windows) int dx_GetFontStateToHandle( char* FontName, out int Size, out int Thick, int FontHandle);
int GetFontStateToHandle( char* FontName, out int Size, out int Thick, int FontHandle)
{
  return dx_GetFontStateToHandle( FontName , Size , Thick , FontHandle );
}


extern(Windows) int dx_GetDefaultFontHandle( );
int GetDefaultFontHandle( )
{
  return dx_GetDefaultFontHandle( );
}


extern(Windows) int dx_GetFontChacheToTextureFlag( );
int GetFontChacheToTextureFlag( )
{
  return dx_GetFontChacheToTextureFlag( );
}


extern(Windows) int dx_CheckFontChacheToTextureFlag( int FontHandle);
int CheckFontChacheToTextureFlag( int FontHandle)
{
  return dx_CheckFontChacheToTextureFlag( FontHandle );
}


extern(Windows) int dx_CheckFontHandleValid( int FontHandle);
int CheckFontHandleValid( int FontHandle)
{
  return dx_CheckFontHandleValid( FontHandle );
}


extern(Windows) int dx_MultiByteCharCheck( const char* Buf, int CharSet);
int MultiByteCharCheck( const char* Buf, int CharSet)
{
  return dx_MultiByteCharCheck( Buf , CharSet );
}


extern(Windows) int dx_GetFontCacheCharNum( );
int GetFontCacheCharNum( )
{
  return dx_GetFontCacheCharNum( );
}


extern(Windows) int dx_CreateMaskScreen( );
int CreateMaskScreen( )
{
  return dx_CreateMaskScreen( );
}


extern(Windows) int dx_DeleteMaskScreen( );
int DeleteMaskScreen( )
{
  return dx_DeleteMaskScreen( );
}


extern(Windows) int dx_SetUseMaskScreenFlag( int ValidFlag);
int SetUseMaskScreenFlag( int ValidFlag)
{
  return dx_SetUseMaskScreenFlag( ValidFlag );
}


extern(Windows) int dx_GetUseMaskScreenFlag( );
int GetUseMaskScreenFlag( )
{
  return dx_GetUseMaskScreenFlag( );
}


extern(Windows) int dx_FillMaskScreen( int Flag);
int FillMaskScreen( int Flag)
{
  return dx_FillMaskScreen( Flag );
}


extern(Windows) int dx_InitMask( );
int InitMask( )
{
  return dx_InitMask( );
}


extern(Windows) int dx_MakeMask( int Width, int Height);
int MakeMask( int Width, int Height)
{
  return dx_MakeMask( Width , Height );
}


extern(Windows) int dx_GetMaskSize( out int WidthBuf, out int HeightBuf, int MaskHandle);
int GetMaskSize( out int WidthBuf, out int HeightBuf, int MaskHandle)
{
  return dx_GetMaskSize( WidthBuf , HeightBuf , MaskHandle );
}


extern(Windows) int dx_DeleteMask( int MaskHandle);
int DeleteMask( int MaskHandle)
{
  return dx_DeleteMask( MaskHandle );
}


extern(Windows) int dx_LoadMask( const char* FileName);
int LoadMask( const char* FileName)
{
  return dx_LoadMask( FileName );
}


extern(Windows) int dx_LoadDivMask( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf);
int LoadDivMask( const char* FileName, int AllNum, int XNum, int YNum, int XSize, int YSize, out int HandleBuf)
{
  return dx_LoadDivMask( FileName , AllNum , XNum , YNum , XSize , YSize , HandleBuf );
}


extern(Windows) int dx_DrawMask( int x, int y, int MaskHandle, int TransMode);
int DrawMask( int x, int y, int MaskHandle, int TransMode)
{
  return dx_DrawMask( x , y , MaskHandle , TransMode );
}


extern(Windows) int dx_DrawStringMask( int x, int y, int Flag, const char* String);
int DrawStringMask( int x, int y, int Flag, const char* String)
{
  return dx_DrawStringMask( x , y , Flag , String );
}


extern(Windows) int dx_DrawStringMaskToHandle( int x, int y, int Flag, int FontHandle, const char* String);
int DrawStringMaskToHandle( int x, int y, int Flag, int FontHandle, const char* String)
{
  return dx_DrawStringMaskToHandle( x , y , Flag , FontHandle , String );
}


extern(Windows) int dx_DrawFillMask( int x1, int y1, int x2, int y2, int MaskHandle);
int DrawFillMask( int x1, int y1, int x2, int y2, int MaskHandle)
{
  return dx_DrawFillMask( x1 , y1 , x2 , y2 , MaskHandle );
}


extern(Windows) int dx_SetMaskTransColor( int ColorCode);
int SetMaskTransColor( int ColorCode)
{
  return dx_SetMaskTransColor( ColorCode );
}


extern(Windows) int dx_SetMaskReverseEffectFlag( int ReverseFlag);
int SetMaskReverseEffectFlag( int ReverseFlag)
{
  return dx_SetMaskReverseEffectFlag( ReverseFlag );
}


extern(Windows) int dx_GetMaskScreenData( int x1, int y1, int x2, int y2, int MaskHandle);
int GetMaskScreenData( int x1, int y1, int x2, int y2, int MaskHandle)
{
  return dx_GetMaskScreenData( x1 , y1 , x2 , y2 , MaskHandle );
}


extern(Windows) int dx_GetMaskUseFlag( );
int GetMaskUseFlag( )
{
  return dx_GetMaskUseFlag( );
}


extern(Windows) int dx_SetGraphName( int Handle, const char* GraphName);
int SetGraphName( int Handle, const char* GraphName)
{
  return dx_SetGraphName( Handle , GraphName );
}


extern(Windows) int dx_DerivationGraph( int SrcX, int SrcY, int Width, int Height, int SrcGraphHandle);
int DerivationGraph( int SrcX, int SrcY, int Width, int Height, int SrcGraphHandle)
{
  return dx_DerivationGraph( SrcX , SrcY , Width , Height , SrcGraphHandle );
}


extern(Windows) int dx_PlayMovie( const char* FileName, int ExRate, int PlayType);
int PlayMovie( const char* FileName, int ExRate, int PlayType)
{
  return dx_PlayMovie( FileName , ExRate , PlayType );
}


extern(Windows) int dx_OpenMovieToGraph( const char* FileName, int FullColor);
int OpenMovieToGraph( const char* FileName)
{
  return dx_OpenMovieToGraph( FileName , TRUE );
}
int OpenMovieToGraph( const char* FileName, int FullColor)
{
  return dx_OpenMovieToGraph( FileName , FullColor );
}


extern(Windows) int dx_PlayMovieToGraph( int GraphHandle);
int PlayMovieToGraph( int GraphHandle)
{
  return dx_PlayMovieToGraph( GraphHandle );
}


extern(Windows) int dx_PauseMovieToGraph( int GraphHandle);
int PauseMovieToGraph( int GraphHandle)
{
  return dx_PauseMovieToGraph( GraphHandle );
}


extern(Windows) int dx_SeekMovieToGraph( int GraphHandle, int Time);
int SeekMovieToGraph( int GraphHandle, int Time)
{
  return dx_SeekMovieToGraph( GraphHandle , Time );
}


extern(Windows) int dx_GetMovieStateToGraph( int GraphHandle);
int GetMovieStateToGraph( int GraphHandle)
{
  return dx_GetMovieStateToGraph( GraphHandle );
}


extern(Windows) int dx_SetMovieVolumeToGraph( int Volume, int GraphHandle);
int SetMovieVolumeToGraph( int Volume, int GraphHandle)
{
  return dx_SetMovieVolumeToGraph( Volume , GraphHandle );
}


extern(Windows) int dx_TellMovieToGraph( int GraphHandle);
int TellMovieToGraph( int GraphHandle)
{
  return dx_TellMovieToGraph( GraphHandle );
}


extern(Windows) int dx_TellMovieToGraphToFrame( int GraphHandle);
int TellMovieToGraphToFrame( int GraphHandle)
{
  return dx_TellMovieToGraphToFrame( GraphHandle );
}


extern(Windows) int dx_SeekMovieToGraphToFrame( int GraphHandle, int Frame);
int SeekMovieToGraphToFrame( int GraphHandle, int Frame)
{
  return dx_SeekMovieToGraphToFrame( GraphHandle , Frame );
}


extern(Windows) int dx_InitSoundMem( int LogOutFlag);
int InitSoundMem( )
{
  return dx_InitSoundMem( FALSE );
}
int InitSoundMem( int LogOutFlag)
{
  return dx_InitSoundMem( LogOutFlag );
}


extern(Windows) int dx_AddSoundData( int Handle);
int AddSoundData( )
{
  return dx_AddSoundData( -1 );
}
int AddSoundData( int Handle)
{
  return dx_AddSoundData( Handle );
}


extern(Windows) int dx_AddStreamSoundMemToFile( const char* WaveFile, int LoopNum, int SoundHandle, int StreamDataType, int UnionHandle);
int AddStreamSoundMemToFile( const char* WaveFile, int LoopNum, int SoundHandle, int StreamDataType)
{
  return dx_AddStreamSoundMemToFile( WaveFile , LoopNum , SoundHandle , StreamDataType , -1 );
}
int AddStreamSoundMemToFile( const char* WaveFile, int LoopNum, int SoundHandle, int StreamDataType, int UnionHandle)
{
  return dx_AddStreamSoundMemToFile( WaveFile , LoopNum , SoundHandle , StreamDataType , UnionHandle );
}


extern(Windows) int dx_SetupStreamSoundMem( int SoundHandle);
int SetupStreamSoundMem( int SoundHandle)
{
  return dx_SetupStreamSoundMem( SoundHandle );
}


extern(Windows) int dx_PlayStreamSoundMem( int SoundHandle, int PlayType, int TopPositionFlag);
int PlayStreamSoundMem( int SoundHandle)
{
  return dx_PlayStreamSoundMem( SoundHandle , DX_PLAYTYPE_LOOP , TRUE );
}
int PlayStreamSoundMem( int SoundHandle, int PlayType)
{
  return dx_PlayStreamSoundMem( SoundHandle , PlayType , TRUE );
}
int PlayStreamSoundMem( int SoundHandle, int PlayType, int TopPositionFlag)
{
  return dx_PlayStreamSoundMem( SoundHandle , PlayType , TopPositionFlag );
}


extern(Windows) int dx_CheckStreamSoundMem( int SoundHandle);
int CheckStreamSoundMem( int SoundHandle)
{
  return dx_CheckStreamSoundMem( SoundHandle );
}


extern(Windows) int dx_StopStreamSoundMem( int SoundHandle);
int StopStreamSoundMem( int SoundHandle)
{
  return dx_StopStreamSoundMem( SoundHandle );
}


extern(Windows) int dx_SetStreamSoundCurrentPosition( int Byte, int SoundHandle);
int SetStreamSoundCurrentPosition( int Byte, int SoundHandle)
{
  return dx_SetStreamSoundCurrentPosition( Byte , SoundHandle );
}


extern(Windows) int dx_GetStreamSoundCurrentPosition( int SoundHandle);
int GetStreamSoundCurrentPosition( int SoundHandle)
{
  return dx_GetStreamSoundCurrentPosition( SoundHandle );
}


extern(Windows) int dx_SetStreamSoundCurrentTime( int Time, int SoundHandle);
int SetStreamSoundCurrentTime( int Time, int SoundHandle)
{
  return dx_SetStreamSoundCurrentTime( Time , SoundHandle );
}


extern(Windows) int dx_GetStreamSoundCurrentTime( int SoundHandle);
int GetStreamSoundCurrentTime( int SoundHandle)
{
  return dx_GetStreamSoundCurrentTime( SoundHandle );
}


extern(Windows) int dx_ProcessStreamSoundMem( int SoundHandle);
int ProcessStreamSoundMem( int SoundHandle)
{
  return dx_ProcessStreamSoundMem( SoundHandle );
}


extern(Windows) int dx_ProcessStreamSoundMemAll( );
int ProcessStreamSoundMemAll( )
{
  return dx_ProcessStreamSoundMemAll( );
}


extern(Windows) int dx_LoadSoundMem2( const char* WaveName1, const char* WaveName2);
int LoadSoundMem2( const char* WaveName1, const char* WaveName2)
{
  return dx_LoadSoundMem2( WaveName1 , WaveName2 );
}


extern(Windows) int dx_LoadBGM( const char* WaveName);
int LoadBGM( const char* WaveName)
{
  return dx_LoadBGM( WaveName );
}


extern(Windows) int dx_LoadSoundMemBase( const char* WaveName, int BufferNum, int UnionHandle);
int LoadSoundMemBase( const char* WaveName, int BufferNum, int UnionHandle)
{
  return dx_LoadSoundMemBase( WaveName , BufferNum , UnionHandle );
}


extern(Windows) int dx_LoadSoundMem( const char* WaveName, int BufferNum, int UnionHandle);
int LoadSoundMem( const char* WaveName)
{
  return dx_LoadSoundMem( WaveName , 3 , -1 );
}
int LoadSoundMem( const char* WaveName, int BufferNum)
{
  return dx_LoadSoundMem( WaveName , BufferNum , -1 );
}
int LoadSoundMem( const char* WaveName, int BufferNum, int UnionHandle)
{
  return dx_LoadSoundMem( WaveName , BufferNum , UnionHandle );
}


extern(Windows) int dx_LoadSoundMemToBufNumSitei( const char* WaveName, int BufferNum);
int LoadSoundMemToBufNumSitei( const char* WaveName, int BufferNum)
{
  return dx_LoadSoundMemToBufNumSitei( WaveName , BufferNum );
}


extern(Windows) int dx_LoadSoundMemByResource( const char* ResourceName, const char* ResourceType, int BufferNum);
int LoadSoundMemByResource( const char* ResourceName, const char* ResourceType)
{
  return dx_LoadSoundMemByResource( ResourceName , ResourceType , 1 );
}
int LoadSoundMemByResource( const char* ResourceName, const char* ResourceType, int BufferNum)
{
  return dx_LoadSoundMemByResource( ResourceName , ResourceType , BufferNum );
}


extern(Windows) int dx_DeleteSoundMem( int SoundHandle, int LogOutFlag);
int DeleteSoundMem( int SoundHandle)
{
  return dx_DeleteSoundMem( SoundHandle , FALSE );
}
int DeleteSoundMem( int SoundHandle, int LogOutFlag)
{
  return dx_DeleteSoundMem( SoundHandle , LogOutFlag );
}


extern(Windows) int dx_PlaySoundMem( int SoundHandle, int PlayType, int TopPositionFlag);
int PlaySoundMem( int SoundHandle, int PlayType)
{
  return dx_PlaySoundMem( SoundHandle , PlayType , TRUE );
}
int PlaySoundMem( int SoundHandle, int PlayType, int TopPositionFlag)
{
  return dx_PlaySoundMem( SoundHandle , PlayType , TopPositionFlag );
}


extern(Windows) int dx_StopSoundMem( int SoundHandle);
int StopSoundMem( int SoundHandle)
{
  return dx_StopSoundMem( SoundHandle );
}


extern(Windows) int dx_CheckSoundMem( int SoundHandle);
int CheckSoundMem( int SoundHandle)
{
  return dx_CheckSoundMem( SoundHandle );
}


extern(Windows) int dx_SetPanSoundMem( int PanPal, int SoundHandle);
int SetPanSoundMem( int PanPal, int SoundHandle)
{
  return dx_SetPanSoundMem( PanPal , SoundHandle );
}


extern(Windows) int dx_SetVolumeSoundMem( int VolumePal, int SoundHandle);
int SetVolumeSoundMem( int VolumePal, int SoundHandle)
{
  return dx_SetVolumeSoundMem( VolumePal , SoundHandle );
}


extern(Windows) int dx_ChangeVolumeSoundMem( int VolumePal, int SoundHandle);
int ChangeVolumeSoundMem( int VolumePal, int SoundHandle)
{
  return dx_ChangeVolumeSoundMem( VolumePal , SoundHandle );
}


extern(Windows) int dx_GetVolumeSoundMem( int SoundHandle);
int GetVolumeSoundMem( int SoundHandle)
{
  return dx_GetVolumeSoundMem( SoundHandle );
}


extern(Windows) int dx_SetFrequencySoundMem( int FrequencyPal, int SoundHandle);
int SetFrequencySoundMem( int FrequencyPal, int SoundHandle)
{
  return dx_SetFrequencySoundMem( FrequencyPal , SoundHandle );
}


extern(Windows) int dx_GetFrequencySoundMem( int SoundHandle);
int GetFrequencySoundMem( int SoundHandle)
{
  return dx_GetFrequencySoundMem( SoundHandle );
}


extern(Windows) int dx_SetSoundCurrentPosition( int Byte, int SoundHandle);
int SetSoundCurrentPosition( int Byte, int SoundHandle)
{
  return dx_SetSoundCurrentPosition( Byte , SoundHandle );
}


extern(Windows) int dx_GetSoundCurrentPosition( int SoundHandle);
int GetSoundCurrentPosition( int SoundHandle)
{
  return dx_GetSoundCurrentPosition( SoundHandle );
}


extern(Windows) int dx_SetSoundCurrentTime( int Time, int SoundHandle);
int SetSoundCurrentTime( int Time, int SoundHandle)
{
  return dx_SetSoundCurrentTime( Time , SoundHandle );
}


extern(Windows) int dx_GetSoundCurrentTime( int SoundHandle);
int GetSoundCurrentTime( int SoundHandle)
{
  return dx_GetSoundCurrentTime( SoundHandle );
}


extern(Windows) int dx_GetSoundTotalSample( int SoundHandle);
int GetSoundTotalSample( int SoundHandle)
{
  return dx_GetSoundTotalSample( SoundHandle );
}


extern(Windows) int dx_GetSoundTotalTime( int SoundHandle);
int GetSoundTotalTime( int SoundHandle)
{
  return dx_GetSoundTotalTime( SoundHandle );
}


extern(Windows) int dx_SetLoopPosSoundMem( int LoopTime, int SoundHandle);
int SetLoopPosSoundMem( int LoopTime, int SoundHandle)
{
  return dx_SetLoopPosSoundMem( LoopTime , SoundHandle );
}


extern(Windows) int dx_SetLoopTimePosSoundMem( int LoopTime, int SoundHandle);
int SetLoopTimePosSoundMem( int LoopTime, int SoundHandle)
{
  return dx_SetLoopTimePosSoundMem( LoopTime , SoundHandle );
}


extern(Windows) int dx_SetLoopSamplePosSoundMem( int LoopSamplePosition, int SoundHandle);
int SetLoopSamplePosSoundMem( int LoopSamplePosition, int SoundHandle)
{
  return dx_SetLoopSamplePosSoundMem( LoopSamplePosition , SoundHandle );
}


extern(Windows) int dx_SetCreateSoundDataType( int SoundDataType);
int SetCreateSoundDataType( int SoundDataType)
{
  return dx_SetCreateSoundDataType( SoundDataType );
}


extern(Windows) int dx_SetEnableSoundCaptureFlag( int Flag);
int SetEnableSoundCaptureFlag( int Flag)
{
  return dx_SetEnableSoundCaptureFlag( Flag );
}


extern(Windows) int dx_PlaySound( const char* FileName, int PlayType);
int PlaySound( const char* FileName, int PlayType)
{
  return dx_PlaySound( FileName , PlayType );
}


extern(Windows) int dx_CheckSound( );
int CheckSound( )
{
  return dx_CheckSound( );
}


extern(Windows) int dx_StopSound( );
int StopSound( )
{
  return dx_StopSound( );
}


extern(Windows) int dx_SetVolumeSound( int VolumePal);
int SetVolumeSound( int VolumePal)
{
  return dx_SetVolumeSound( VolumePal );
}


extern(Windows) int dx_AddMusicData( );
int AddMusicData( )
{
  return dx_AddMusicData( );
}


extern(Windows) int dx_DeleteMusicMem( int MusicHandle);
int DeleteMusicMem( int MusicHandle)
{
  return dx_DeleteMusicMem( MusicHandle );
}


extern(Windows) int dx_LoadMusicMem( const char* FileName);
int LoadMusicMem( const char* FileName)
{
  return dx_LoadMusicMem( FileName );
}


extern(Windows) int dx_LoadMusicMemByResource( const char* ResourceName, const char* ResourceType);
int LoadMusicMemByResource( const char* ResourceName, const char* ResourceType)
{
  return dx_LoadMusicMemByResource( ResourceName , ResourceType );
}


extern(Windows) int dx_PlayMusicMem( int MusicHandle, int PlayType);
int PlayMusicMem( int MusicHandle, int PlayType)
{
  return dx_PlayMusicMem( MusicHandle , PlayType );
}


extern(Windows) int dx_StopMusicMem( int MusicHandle);
int StopMusicMem( int MusicHandle)
{
  return dx_StopMusicMem( MusicHandle );
}


extern(Windows) int dx_CheckMusicMem( int MusicHandle);
int CheckMusicMem( int MusicHandle)
{
  return dx_CheckMusicMem( MusicHandle );
}


extern(Windows) int dx_GetMusicMemPosition( int MusicHandle);
int GetMusicMemPosition( int MusicHandle)
{
  return dx_GetMusicMemPosition( MusicHandle );
}


extern(Windows) int dx_InitMusicMem( );
int InitMusicMem( )
{
  return dx_InitMusicMem( );
}


extern(Windows) int dx_ProcessMusicMem( );
int ProcessMusicMem( )
{
  return dx_ProcessMusicMem( );
}


extern(Windows) int dx_PlayMusic( const char* FileName, int PlayType);
int PlayMusic( const char* FileName, int PlayType)
{
  return dx_PlayMusic( FileName , PlayType );
}


extern(Windows) int dx_PlayMusicByResource( const char* ResourceName, const char* ResourceType, int PlayType);
int PlayMusicByResource( const char* ResourceName, const char* ResourceType, int PlayType)
{
  return dx_PlayMusicByResource( ResourceName , ResourceType , PlayType );
}


extern(Windows) int dx_SetVolumeMusic( int Volume);
int SetVolumeMusic( int Volume)
{
  return dx_SetVolumeMusic( Volume );
}


extern(Windows) int dx_StopMusic( );
int StopMusic( )
{
  return dx_StopMusic( );
}


extern(Windows) int dx_CheckMusic( );
int CheckMusic( )
{
  return dx_CheckMusic( );
}


extern(Windows) int dx_GetMusicPosition( );
int GetMusicPosition( )
{
  return dx_GetMusicPosition( );
}


extern(Windows) int dx_SelectMidiMode( int Mode);
int SelectMidiMode( int Mode)
{
  return dx_SelectMidiMode( Mode );
}



